/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  window.eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window.','jsMath','||!',1,'jsMath.','loaded','){if(',1,'parent','&&',1,9,'.',2,'){',2,'=',1,9,'.',2,';}var ','jsMath_old','=',1,2,';','function',' ','ShowObject(_1',',_2){var s="";',0,'_2){_2="";}','for(var ','i in ','_1',7,'_1[i]!=null){','if(typeof (','_1[i','])=="object','"){s+=_2+i','+": {\\n"+',30,'[i],_2+"  ")+_2+"}\\n";}else{',39,'_1[i])!="',28,42,'+": "+_1[i]+"\\n";}}}}return s;}',0,'document.','getElementById','||!',52,'childNodes||!',52,'createElement','){alert("','The mathematics on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your browser doesn\'t seem to have this.");}else{',2,'={version:"3.1c",document:document,window:window,blank:"data:image/gif,GIF89a%01%00%01%00%f0%00%31%ff%ff%ff%00%00%00%21%f9%04%01%00%00%00%00%2c%00%00%00%00%01%00%01%00%00%02%02%44%01%00%3b",','sizes',':[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',65,'","div.typeset','":"text-align: ','center; margin: 1em 0px;","span.typeset',69,'left',66,' span',69,'left','",".typeset .','normal',65,77,'size0','":"font-size: ','50','%",".typeset .','size1',82,'60',84,'size2',82,'70',84,'size3',82,'85',84,'size4',82,'100',84,'size5',82,'120',84,'size6',82,'144',84,'size7',82,'173',84,'size8',82,'207',84,'size9',82,'249',84,'cmr10','":"font-family: jsMath-',121,', serif',77,'cmbx10',122,126,', ',2,'-cmr10',77,'cmti10',122,133,', ',2,131,77,'cmmi10',122,140,77,'cmsy10',122,144,77,'cmex10',122,148,77,'link":"','text-decoration',': none',77,'HD":"border-width:0px; width: 1px; margin-right: -1px',77,'error',82,'10pt; font-style: italic; "+"','background-color',': #FFFFCC','; padding: ','1px; "+"','border: 1px solid #CC0000","#jsMath_message','":"position:fixed; bottom:','1px; left:2px; ',161,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size:small; width:auto;","#','jsMath_panel',166,'1.5em; right:1.5em',163,'10px 20px','; "+"',161,':#DDDDDD; border: outset ','2px; "+"z-index:103; width:auto;","#jsMath_button',166,'1px; right:2px; ',161,':white',170,'0px 3px 1px 3px',172,':black; ',153,':none','; font-size',':x-small; "+"','width:auto; cursor:pointer; cursor:hand',';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ','width:auto; height:auto',197,' .drag":"',161,182,'1px; height:12px',194,': 1px',197,' .close":"',161,169,'; border: ','inset 1px; width:8px; height:8px; margin: 1px 2px',197,' .source":"',161,':#E2E2E2',213,'outset ',164,201,163,'8px 15px; "+"','font-family',': courier, fixed',194,': 90%","#','jsMath_noFont',69,'center',163,179,213,'3px solid #DD0000; "+"',161,': #FFF8F8; color: #AA0000',174,229,' .link":"padding: 0px 5px 2px 5px',213,'2px outset; ',161,':#E8E8E8; "+"color:black',194,':80%; ',196,';"},Element:',28,'(_5){return ',5,52,53,'("jsMath_"+_5);},BBoxFor:',28,'(s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _7={w:this.','hidden','.offsetWidth',',h:this.',260,'.offsetHeight','};this.',258,'="";return _7;},EmBoxFor:',28,'(s){var _9','=this.BBoxFor','(s);return {w:_9.w/this.em,h:_9','.h/this.em};},','EmBoxForItalics',':',28,'(s){var _b',270,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_b.w',270,'(s+',5,'Browser.','italicString',').w-',5,282,'italicCorrection',';}return {w:_b.w/this.em,h:_b',272,'Init',':function(){','if(',5,'Setup.inited','!=1',7,5,294,59,'It looks like ',2,' failed to set up properly (error code "+',5,294,'+").  "+"I\'ll will try to keep going, but it could get ugly.");',5,294,'=1',';}else{','alert("You must call ',5,'Setup.','Body() explicitly when ',2,' is"+"',6,' as part of the <HEAD> section");}',5,312,'Body();}this.em',270,'("<img src=\\""+',5,'blank+"\\" style=\\"','width:10em; height:1em\\" />").w/10;if(',5,282,283,'){',5,282,287,'=',5,'BBoxFor(',5,282,283,').w;}if(',5,'Browser.hiddenSpace','!=""){',5,282,'spaceWidth=this.EmBoxFor(',5,341,'+',5,341,'+',5,341,'+',5,341,'+',5,341,').w/5;}var bb',270,'("x");var h=bb.h;var d',270,'("x<img src=\\""+',5,'blank+"\\" ','height=\\""+(h*',5,282,'imgScale',')+"\\" width=\\"1\\" />").h-h;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',312,'TeXfonts();var _f=this.','EmBoxFor("<span class','=\\"',121,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',257,312,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',385,'0].d)/0.85;',379,'=1;},ReInit',291,'var w',270,'("x").w;if(w!=this.xWidth',257,'Init();}},Loaded',291,'if(',23,'){var _11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;','i++){if(',23,'[_11[i]]){',23,'[_11[i]]=null;}}}if(',23,'){this.Insert(',2,',',23,');}',23,'=null;',5,6,'=1;},Add:',28,'(dst,src){',34,'id in src){','dst[id]=src[id','];}},Insert:',28,'(dst,src){',34,423,'if(dst[id]&&typeof (src[id',41,'"&&(','typeof (dst[id])=="','object"||',433,28,'")){this.Insert(dst[id],src[id]);}else{',424,'];}}},Package:',28,'(obj,def',410,'obj.prototype,def);}};',5,'Script={request:null,Init',291,'if(!(',5,'Controls.cookie','.asynch&&',5,449,'.progress',')){if(',1,'XMLHttpRequest','){','this.request','=new ',456,';}else{if(',1,'ActiveXObject','){try{',458,'=new ',463,'("Microsoft.XMLHTTP");}catch(err){}}}}',0,458,'||',5,312,'domainChanged',257,'Load=this.delayedLoad;this.needsBody=1;}},Load:',28,'(url,_1c',7,'_1c){',5,'Message.Set("Loading "+url);',5,'Script.','Delay(1);',5,'Script.Push(','this,"xmlRequest",url',');',5,487,5,'Message',',"Clear");}else{',5,487,488,');}},xmlRequest:',28,'(url){','this.debug("','xmlRequest: "+url);try{',458,'.open("GET",url,false);',458,'.send(null);}catch(err','){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',493,': "+err.message;}if(',458,'.status','&&',458,511,'>=400',507,'Error status: "+',458,511,';}this.','Start();','this.blocking','=1;',5,1,'eval(',458,'.responseText);this.End();','this.blocking=0;this.Process','();},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],queueAt:0,Synchronize:',28,'(_1e,_1f){',39,'_1e)!="string"){',5,487,'null,_1e,_1f',');}else{',5,487,5,'window,"eval",_1e);}},Push:',28,'(_20,_21,_22){',501,'Pushing: "+_21+" at "+','this.queueAt',');this.queue=[].concat(','this.queue.slice(','0,',547,'),[[_20,_21,_22]],',549,547,'));',547,'++;if(!(',522,'||(this.needsBody&&!',5,52,'body','))){this.Process();}},Process',291,'while(','this.queue.length','&&!',522,257,521,'var _23=this.queue[0];this.queue=',549,'1);var _24=_23[0];var _25=_23[1];var _26=_23[2];',501,'Calling: "+_25);if(_24){_24[_25](_26',538,'if(_25){_25(_26);}}',501,'Done:    "+_25);}this.End();},Start',291,547,'=0;},End',291,547,'=',566,';},delayedLoad:',28,'(url){',501,'Loading: "+url);this.Push(this,"startLoad",url);},startLoad:',28,'(url){','this.iframe','=',5,52,58,'("iframe");','this.iframe.style.','visibility="',260,'";',600,'position="absolute";',600,'width="0px";',600,'height="0px";if(',5,52,'body.firstChild','){',5,52,'body.insertBefore(',594,',',5,52,612,538,5,52,562,'.appendChild(',594,');}',522,'=1;this.','url=url;',0,'url.match(/\\.js$/)){',594,'.src=url',309,594,'.src=',5,'root+"',2,'-loader.html";}if(url.substr(0,',5,'root.length',')==',5,'root){url=url.substr(',5,644,');}',5,482,501,'Starting: "+url);','this.cancelTimer','=setTimeout("',5,484,'cancelLoad','()",this.cancelTimeout);},endLoad:',28,'(_29){',501,'Ending: "+this.url);if(',655,'){clearTimeout(',655,');',655,'=null;}',5,'Message.','Clear();if(_29!="cancel"){',529,'();}},',659,291,655,416,5,672,'Set("Can\'t load file");this.endLoad("cancel");},Delay:',28,'(_2a){',522,'=1;setTimeout("',5,484,'endDelay()",_2a);},endDelay',291,529,'();},Uncompress:',28,'(_2b){',34,'k=0;k<_2b',403,'k++){var d=_2b[k];var n=d',403,401,'n;i++){',39,'d[i])=="number"){d[i]=d[d[i]];}}_2b[k]=d.join("");}',1,'eval(_2b.join(""));},debug:',28,'(_30){}};',5,493,'={blank:null,message:null,text:null,clear:null,Init',291,0,5,52,562,'||!',5,449,453,'){return;}','if(',5,312,'stylesReady){','this.message','=',5,'Setup.DIV("message",{visibility:"hidden','"});}else{',725,'=',5,728,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}this.text=',5,52,'createTextNode("");',725,626,'this.text);',725,'.onmousedown=',5,'Translate.Cancel;},Set:',28,'(_31,_32){','if(this.clear){clearTimeout(this.clear',');','this.clear',670,'if(',5,449,453,'){',0,'this.text){','this.','Init();',0,760,'return;}}if(',5,282,'textNodeBug','){',725,'.innerHTML','=_31',309,'this.text.nodeValue','=_31;}',725,'.style.visibility="','visible";if(_32){',725,'.style.cursor','="pointer";',0,725,780,'){',725,780,'="hand";}',725,'.title=" Cancel Processing of Math ";}else{',725,780,';',725,'.title="";}}else{if(_31.substr(0,8)!="Loading "){',5,1,'status=_31;}}},Clear',291,750,');}',752,'=setTimeout("',5,672,'doClear()",1000);},doClear',291,'if(',752,'){',752,416,5,1,'status="";if(',760,774,'="";}if(',725,'){',725,777,260,'";}}},Blank',291,'if(','this.blank','||!',5,52,562,720,827,'=',5,312,'DIV("blank",{position:(',5,282,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',736,':"white"});if(',5,282,'msieBlankBug','){',827,771,'="&nbsp;";',827,'.style.width="110%";',827,'.style.height="110%";}},UnBlank',291,'if(',827,'){',5,52,562,'.removeChild(',827,');}',827,'=null;}};',5,'Setup={',6,':[],DIV:',28,'(id,_34){var div=',5,52,58,'("div");div.id="jsMath_"+id;',34,35,'_34){div.style[i]=_34[i];}',0,5,52,562,'.hasChildNodes){',5,52,562,626,'div',538,5,52,616,'div,',5,52,612,');}return div;},Script:',28,'(_37,_38',7,'this.loaded[_37',']){return',309,902,']=1;}',0,'_37.match("^([a-zA-Z]+:/)?/")){_37=',5,'root+_37;}',5,484,'Load(_37,_38);},Hidden',291,5,260,'=this.DIV("Hidden",{visibility:"',260,734,'top:0,left:0,border:0,padding:0,margin:0});',5,'hiddenTop=',5,260,';return;},Source',291,'if(',5,'Autoload&&',5,'Autoload.root','){',5,'root=',5,931,309,5,'root="";var _39=',5,52,'getElementsByTagName("','script");if(_39){',401,'_39',403,'i++){var ','src=_39[i].src;if(src&&src.match("(^|/)',5,'js$")){',5,'root=src.replace','(/',5,'js$/,"");',0,5,'root.match','(/^[a-z]+:/i)){src','=new String(',5,52,'location);',5,952,'(new RegExp("[^/]*$"),"")+',5,'root;',565,5,958,'("/[^/]*/../")){',5,934,5,'root.replace(new RegExp("/[^/]*/../"),"/");}}i=_39.length;}}}}',5,'Img.',934,5,640,'fonts/";this.Domain();},Domain',291,'var _3c="";var _3d=',5,52,'domain;if(',5,958,'("://([^/]*)/")){_3c=RegExp.$1;}_3c=_3c.replace(/:\\d+$/,"");if(_3c==""||_3c==_3d',720,'if(navigator.','appName=="','Microsoft Internet Explorer"&&','navigator.platform','=="MacPPC"&&navigator.onLine&&navigator.userProfile&&',5,52,'all',720,'_3c=_3c.split(/\\./);_3d=_3d.split(/\\./);if(_3c.length<2||_3d.length<2||','_3c[_3c.length-','1',']!=_3d[_3d.length-','1]||',1002,'2',1004,'2]){this.','DomainWarning','();return;}','var _3e=',1002,'2]+"."+',1002,'1];',34,'i=3;i<=_3c.length&&i<=_3d',403,404,1002,'i',1004,'i]){break;}_3e=',1002,'i]+"."+_3e;}',5,52,'domain=_3e;this.',474,'=1;},',1010,291,'alert("In order for ',2,' to be able to load the additional "+"components that it may need, the ',5,'js file must be "+"',6,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the mathematics displayed here may not appear correctly.");},EncodeFont:',28,'(_40){var _41=',5,'TeX[_40];if(_41[0].c!=null',720,34,'k=0;k<128;k++){var _43=_41[k];_41[k]=_43[3];if(_41[k]==null){_41[k]={};}_41[k].w=_43[0];_41[k].h=_43[1];if(_43[2]!=null){_41[k].d=_43[2];}_41[k].c=',5,'TeX.encoding[k];}},Fonts',291,401,5,'TeX.fam.length;',947,'_45=',5,'TeX.fam[i','];if(_45',257,'EncodeFont(_45);}}},TeXfont:',28,'(_46){var _47=',5,'TeX[_46];var WH=',5,374,'=\\""+_46+"\\">"+_47[65','].c+"</span>");','_47.hd=WH.h;_47.d=',5,374,'=\\""+_46+"\\">"+_47[65].c+"<img src=\\""+',5,324,'height:"+(_47.hd*',5,282,370,')+"em; width:1px;\\" /></span>").h-_47.hd;_47.h=_47.hd-_47.d;_47.dh=0.05;if(',5,'browser=="Safari"){_47.hd*=2;}if(','_46=="',140,'"){_47.skewchar=','127',461,1082,144,1084,'48;}}},TeXfonts',291,401,5,1053,404,5,1057,']){this.TeXfont(',5,1057,']);}}},Sizes',291,5,'TeXparams','=[];',34,'j=0;j<',5,63,403,'j++){',5,1104,'[j]={};}',34,35,5,'TeX){',39,5,'TeX[i])!="object"){',34,'j=0;j<',5,63,403,'j++){',5,1104,'[j][i]=',5,63,'[j]*',5,'TeX[i]/100;}}}},Styles:',28,'(_4d){',0,'_4d){_4d=',5,'styles;_4d[".typeset .scale"]="font-size:"+',5,449,'.scale+"%";this.stylesReady=1;}',5,487,'this,"','AddStyleSheet','",_4d);if(',5,282,'styleChangeDelay','){',5,487,5,'Script,"Delay",1);}},',1148,':',28,'(_4e){var _4f=',5,52,942,'head")[0];if(',5,52,'styleSheets','){var _50=_4f',626,5,52,58,'("style"));var _51=_50.styleSheet||_50.sheet;if(_51){',34,'id in _4e){','if(_4e[id]!=""){if(_51.addRule){_51.addRule(id,_4e[id],_51.length',538,'_51.insertRule(id+" {"+_4e[id]+"}",_51.length);}}}return',309,'_4f',862,'_50);_50',416,'_51=null;}}var _53=(',5,52,1168,')?',5,52,1168,'.length:0;var _54="";',34,1176,'_54+=id+" {"+_4e[id]+"}\\n";}var _56=',5,52,58,'("link");_56.rel="stylesheet";_56.type="text/css";_56.href="data:text/css;charset=utf-8,"+escape(_54);_4f',626,'_56);if(',5,52,1168,'&&',5,52,1168,'.length==_53&&!(',5,52,'implementation','&&',5,52,1213,'.createCSSStyleSheet)){var div=',5,52,58,'("div");div','.style.display="none','";',5,52,562,626,'div);div',771,'="<style type=\\"text/css\\">"+"\\n"+_54+"\\n"+"</style>";}},Body',291,'if(this.inited',720,'this.inited=-','1;',5,312,'Hidden();',1235,'2;',5,282,762,1235,'3;if(',5,449,'.blank){',5,672,'Blank();}',1235,'4;',5,312,'Styles();',1235,'5;',5,'Controls.',762,1235,'6;',5,487,5,'Setup,"User","pre-font");',1235,'7;',5,487,5,'Font,"Check");this.inited=1;},User:',28,'(_58){}};',5,'Update={TeXfonts:',28,'(_59){',34,'_5a in _59){',34,'_5b in _59[_5a]){',34,'id in _59[_5a][_5b]){',5,'TeX[_5a][_5b][id]=_59[_5a][_5b][id];}}}},TeXfontCodes:',28,'(_5d){',34,'_5e in _5d){',401,'_5d[_5e].length;i++){',5,'TeX[_5e][i].c=_5d[_5e][i];}}}};',5,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,msieSpaceFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",',370,':1,renameOK:1,',1152,':0,delay:1,spaceWidth:0,','hiddenSpace',':"",','valignBug',':0,operaHiddenFix:"",version:0,','TestSpanHeight',291,5,258,'="<span','><img src=\\""+',5,324,'height: 2em\\" /></span>";var _60=',5,'hidden.firstChild;','var img=_60.firstChild;','this.spanHeightVaries','=(_60',264,'==img',264,');',5,258,'="";},','TestRenameOK',291,5,258,1315,'></span>";var _62=',5,1321,'_62.setAttribute("name","','jsMath_test','");this.renameOK=(',5,52,'getElementsByName("',1341,'").length>0);',5,258,1331,'TestStyleChange',291,5,258,1315,' ID=\\"',1341,'\\">x</span>";var _63=',5,1321,'var w=_63',261,';',5,312,1148,'({"#',1341,'":"font-size:200%"});this.',1152,'=(_63',261,'==w);',5,258,1331,'TestDataURL',291,5,258,'="<IMG SRC=\\""+',5,'blank+"\\">";var img=',5,1321,'if(img',261,'>1){',5,'blank=',5,640,'blank.gif";}',5,258,1331,'VersionAtLeast',':',28,'(v){var bv',960,'this.version).split(".");v',960,'v).split(".");if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',291,5,'browser="','unknown";this.',1377,383,1311,383,1332,383,1351,383,'MSIE',383,'Mozilla',383,'Opera',383,'OmniWeb',383,'Safari',383,'Konqueror','();if(','this.allowAbsoluteDelim','){',5,'Box.DelimExtend=',5,'Box.DelimExtendAbsolute;',5,'Box.Layout=',5,'Box.LayoutAbsolute',309,5,'Box.DelimExtend=',5,'Box.DelimExtendRelative;',5,'Box.Layout=',5,'Box.LayoutRelative;}if(','this.separateSkips','){',5,'HTML.Place=',5,'HTML.','PlaceSeparateSkips',';',5,'Typeset.prototype.','Place=',5,1457,1454,';}},MSIE',291,'if(',1323,'){',5,1407,'MSIE";',992,'platform=="','Win32"){',1429,'=1;',1448,'=1',';this.buttonCheck=1;this.',846,'=1;this.msieDivWidthBug=1;this.',840,630,'msieIntegralBug',630,'msieAlphaBug=1;','this.alphaPrintBug=1',';this.',1299,'="position:relative; ";this.msieSpaceFix="<img src=\\""+',5,366,'class=\\"HD\\" />";this.',1301,'=" display: inline-block;";',5,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',5,'styles[".typeset',' .arial"]="',225,': \'Arial unicode MS\'";',5,'styles["#jsMath_message','"]=',5,1502,'"].replace(/','position:fixed','/,"',199,'").','replace(/width:auto','/,"");',5,'styles["#jsMath_panel','"]=',5,1514,1506,1507,'/,"',199,'").',1511,'/,"");',5,'styles["#jsMath_button','"]="width:','1px; "+',5,1526,1506,1507,'/,"',199,'").',1511,'/,"");',5,1,'onscroll=',5,1261,'MoveButton;if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1544,'!=',1546,257,370,'*=',1546,'/',1544,';',5,449,'.alpha=0',520,283,'="<i>x</i>";',5,'EmBoxFor=',5,273,309,992,1471,'MacPPC"){this.msieAbsoluteBug',630,'msieButtonBug',1479,846,'=1;',5,'Setup.Script("jsMath-','msie-mac.js");',5,'Parser.prototype.macros','.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',5,1514,1527,'25em; "+',5,1514,'"].',1511,'/,"");',5,1526,1527,1528,5,1526,'"].',1511,'/,"");}}',5,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},',1419,291,'if(',5,260,'.ATTRIBUTE_NODE){',5,1407,1419,'";',992,1471,'Win32"){',1485,';}',1429,'=1;',1448,'=1;',5,1602,'/}}");',992,'vendor=="Firefox"){',5,282,'version=navigator.vendorSub',461,'navigator.userAgent.match','(" Firefox/([0-9.]+)( |$)")){',5,282,'version=RegExp.$1;}}}},',1423,291,992,'accentColorName){',5,1407,1423,'";','this.allowAbsolute','=!',1632,'("',1423,'/v4");',1429,'=',1645,1477,768,'=1;}},Opera',291,992,993,'Opera"||',1632,'(" Opera ")){',5,1407,'Opera";',1645,'=0;this.delay=10;this.operaHiddenFix="[Processing]";}},Safari',291,992,'appVersion.match(/Safari\\//)){',5,1407,'Safari";var _68=',1632,'("Safari/([0-9]+)");_68=(_68)?_68[1]:400;',401,5,1053,404,5,1057,']){',5,'TeX[',5,1057,']].dh=0.1;}}',5,'TeX.axis_height+=0.05;',1429,'=_68>=125;this.safariIFRAMEbug=_68>=312&&_68<412;this.safariImgBug',630,768,'=1',1477,1152,'=1;}},',1427,291,992,'product&&navigator.product.match("',1427,'")){',5,1407,1427,'";',1645,'=0;',1429,'=0;if(',1632,'(/',1427,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1448,630,1309,630,1307,850,5,'Box.prototype.Remeasured=new Function("return this");}}}}};',5,'Font={fallback:"symbol",message:"<b>No ',2,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts\\"></span></b><br/>"+"Using',1728,'.  This',1730,'Test1:',28,'(_6a,n,_6c,_6d','){if(n==null){n=124;}if(','_6c==null){_6c=2;}if(_6d==null){_6d="";}var wh1=',5,'BBoxFor("<span style=\\"font-family',': "+_6d+_6a+", serif\\">"+',5,'TeX[_6a][n',1068,'var wh2=',5,1741,': serif\\">"+',5,'TeX[_6a][n',1068,'return (wh1.w>_6c*wh2','.w&&wh1.h!=0);},','Test2:',28,'(_70,n,_72,_73',1738,'_72==null){_72=2;}if(_73==null){_73="";}var wh1=',5,1741,': "+_73+_70+", serif\\">"+',5,'TeX[_70][n',1068,'var wh2=',5,1741,': serif\\">"+',5,'TeX[_70][n',1068,'return (wh2.w>_72*wh1',1754,'CheckTeX',291,'var wh=',5,1741,': ',2,'-',148,124,'\\">"+',5,385,'1',1068,5,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"',2,'-"));if(',5,'nofonts&&(',995,'!="MacPPC"||',5,'browser!="',1419,'"||!',5,282,1397,'(1.5))){wh=',5,1741,': ',148,124,'\\">"+',5,385,'1',1068,5,1791,'"));',0,5,'nofonts){',5,1578,'BaKoMa-fonts.js");}}},Check',291,'var _77=',5,449,';this.CheckTeX();if(',5,1822,'if(_77.autofont','||_77','.font=="tex"){','_77.font=this.fallback;if(_77.warn){',5,'nofontMessage=1;_77.warn=0;',5,1261,'SetCookie(0);if(',5,1,'NoFontMessage','){',5,1,1844,'();}else{this.',493,'(',725,');}}}}else{',1833,'){_77.font="','tex";}','if(_77.font=="','tex"){return;}}if(',5,'noImgFonts',1855,'unicode";}',1857,'unicode"){var _78=({Win32:"pc",MacPPC:"mac"})[',995,']||"unix";',5,1578,'fallback-"+_78+".js");',5,'Box.TeXnonfallback=',5,'Box.TeX',';',5,1873,'=',5,'Box.TeXfallback;return;}',1857,'symbol"){',5,1578,'fallback-symbols.js");',5,'Box.TeXnonfallback=',5,1873,';',5,1873,'=',5,1879,5,'Img.SetFont({',121,':["all"],',140,1898,144,1898,148,1898,126,1898,133,':["all"]});',5,'Img.LoadFont("cm-fonts");},',493,':',28,'(_79',7,5,'Element("Warning','")){return;}var div=',5,312,'DIV("Warning",{});div',771,'="<center><table><tr><td>"+"<div id=\\"',229,'\\">"+_79+"<','div style=\\"','text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',5,1261,'Panel()\\" title=\\" Open the ',2,' Control Panel',' \\" class=\\"link\\">',2,1932,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',5,'Font.HideMessage()\\" title=\\" Remove this font warning message',1933,'Hide this ',493,1936,'></div><',1926,'height:6px\\"></div><br clear=\\"all\\"/></div>"+"<',1926,'width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},HideMessage',291,'var _7b=',5,1917,'");if(_7b){_7b',1223,'";}},Register:',28,'(_7c){',5,484,521,39,'_7c)=="string"){_7c={name:_7c};}var _7d=_7c.name;var _7e=_7d.replace(/10$/,"");var _7f=',5,1053,'if(_7c.prefix==null){_7c.prefix="";}',0,'_7c.style){_7c.style="',225,': "+_7c.prefix+_7d+", serif";}',0,'_7c.styles','){',1971,'={};}',0,'_7c.macros','){',1976,1974,5,'TeX.fam[_7f]=_7d;',5,'TeX.famName[_7d]=_7f;',1976,'[_7e]=["HandleFont",_7f];',5,'Add(',5,1581,',',1976,');_7c.',1497,' ."+_7d]=_7c.style;',5,312,'Styles(',1971,');',5,487,5,'Setup,"TeXfont",_7d);var _80=!',5,'nofonts&&_7c.test(_7d,_7c.testChar,_7c.testFactor,_7c.prefix);if(_80&&',5,449,1835,'if(_7c.tex){_7c.tex(_7d,_7f,_7c);}',5,484,'End',1011,0,'_80&&',5,1261,'cook'],
  ['ie.warn&&','jsMath.','Controls','.cookie','.font=="','tex"&&!',1,'nofonts){if(!',1,'Element("','Warning")){this.Message(this.extra_message);}var _81=',1,9,'ExtraFonts");if(_81){if(','_81.innerHTML','!=""){',14,'+=",";}',14,'+=" "+_7c.prefix+_7d;}}if(',1,2,3,4,'unicode"){if(_7c.fallback){_7c.fallback(_7d,_7f,_7c);}',1,'Script.','End();return;}var _82={};_82[_7d]=["all"];',1,'Img.SetFont(_82);',1,'Img.LoadFont(_7d);',1,26,'End();},Load',':function(','_83){',1,'Setup.Script(this.URL(_83));},URL',35,'_84){return ',1,'Img.root+_84+"/def.js";}};',1,2,'={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D"},cookiePath:"/",Init',':function(){','this.panel=',1,'Setup.DIV("','panel",{display:"none"});if(!',1,'Browser.msieButtonBug){this.Button();}else{setTimeout("',1,2,'.Button()",500);}},Panel',46,1,'Translate.Cancel();if(this.loaded){this.Main();}else{',1,26,'delayedLoad(',1,'root+"jsMath-controls.html");}},Button',46,'var _85=',1,49,'button",{});_85.title=" Open jsMath Control Panel ";_85.innerHTML="jsMath";_85.onclick=new Function("',1,2,'.Panel()");if(!this',3,'.button){_85.style.display="none";}},MoveButton',46,'if(!this.button){this.button=',1,9,'button");}','this.button.style.visibility="','hidden";',79,'visible";},GetCookie',46,'var _86=',1,'document',3,';if(','jsMath.window.location.','protocol=="file:"){','_86=unescape(',89,'search.substr(1));}if(_86','.match(/jsMath','=([^;]*)/)){var _87=RegExp.$1.split(/,/);for(var i=0;i<_87.length;i++){var x=_87[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}this',3,'[x[1]]=x[2];}}},SetCookie',35,'_8a){var _8b=[];','for(var id in ','this',3,'){_8b[_8b.length]=id+":"+this',3,'[id];}_8b=_8b.join(",");if(',89,90,'if(!_8a){return;}this.loaded=0;var _8d=',89,'href;_8d=_8d.replace(/\\?.*/,"")+"?jsMath="+escape(_8b);if(_8d!=',89,'href){',89,'replace(_8d);}}else{if(','this.cookiePath','){_8b+="; ','path="+',115,';}if(','this.cookieDomain',116,'domain="+',120,119,'this',3,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',128,'*7,M',128,'*30,Y',128,'*365};var exp=new Date;exp.setTime(exp.getTime()+this',3,'.keep.substr(','0,1)*ms[this',3,137,'1,1)]);_8b+="; expires="+exp.toGMTString();}',1,'document',3,'="jsMath="+_8b;var _90=',1,'document',3,';if(_8a&&!_90',94,'=/)){alert("Cookies must be enabled in order to save jsMath options");}}}};',1,'Click={CheckClick',35,'_91){if(!_91){_91=',1,'window.event;}if','(_91.altKey){',1,2,'.Panel();}},CheckDblClick',35,'_92){if(!_92){_92=',1,157,'(!',1,'Click.DblClick){',1,'Extension.Require("double-click",1);var _93=_92;_92={};',100,'_93){_92[id]=_93[id];}}',1,26,'Push(',1,'Click,"DblClick",[_92,this.alt]);}};',1,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.04,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10"],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',180,'778',180,'694',180,'667',180,'75',180,'722',180,'778',180,'722',180,'778',180,'722',180,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',206,'833',206,'833',206,'278',',0.431],[0.','306',',0.431,0.194','],[0.5',206,'5',206,'5,0.628],[0.5',206,'5,0.568],[0.75',206,'444,0,0.17],[0.5',206,'722',214,'778',214,'5,0.528,0.0972],[0.903,0.683],[1.01',180,'778,0.732,0.0486],[0.278',',0.431,0,{krn:{"','108":-0.278,"76":-0.319}}],[0.278',',0.694,0,{lig:{"96":','60}}],[0.','5',206,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',243,'778',206,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',253,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',',0.194],[0.','333',',0.431,0,{','lig:{"45":','123}}],[',258,'],[0.5',253,'5',',0.644','],[0.5,0.644],[0.','5',268,269,'5',268,269,'5',268,269,'5',268,269,'278',214,'278',216,'],[0.278,0.5',259,'778',',0.367,-0.133],[','0.472,0.5',259,'472',236,'62}}],[0.778',206,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',299,'79',299,'71',299,'85',299,'81',299,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',180,'722',180,'764',297,'88',299,'87',299,'65',299,'86',299,'89":-','0.0278}}],[0.','681',180,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',180,'75',180,'361',297,'73":',326,'514',180,'778',297,'79',299,'67',299,'71',299,'81":-',326,'625',297,310,'917',180,'75',180,'778',297,'88',299,'87',299,'65',299,'86',299,'89":-',326,'681',297,'65','":-0.0833,"','111',299,'101',299,'97',299,'46',374,'44":-0.','0833}}],[0.','778,0.683',259,'736',297,'116',299,'67',299,'79',299,'71',299,'85',299,'81',299,310,'556',180,'722',297,'121',299,'101',374,'111',374,'114',374,'97',374,'65',374,'117":-0.',384,'75',180,'75',',0.683,0,{ic:0.','0139,',331,'1.03',423,'0139,',331,'0.75',297,'79',299,'67',299,'71',299,'81":-',326,'75',423,'025,','krn:{"101',374,'111',374,'114',374,'97',374,'65',374,418,384,'611',180,'278',253,'5',206,'278',253,'5',206,'278,0.668],[0.','278',236,'92}}],[0.','5',234,'118',299,'106":0.0556,"121',299,'119":-',326,'556',',0.694',',0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',234,'104',299,'107":-',326,'556',206,'444',214,'306',202,203,'12,"102":11,"108":13}}],[0.','5',',0.431',',0.194,{ic:0.','0139,krn:{"','106":',326,'556',249,'116',299,'117',299,'98',299,'121',299,'118',299,'119":-',326,465,'306,0.668',259,'528',249,'97','":-0.0556,"','101',299,'97',299,'111',299,'99":-',326,'278',206,'833',234,'116',299,'117',299,'98',299,'121',299,'118',299,'119":-',326,'556',234,'116',299,'117',299,'98',299,'121',299,'118',299,'119":-',326,'5',496,',0',480,'556',216,480,'528',216,'],[0.392',214,'394',214,'389,0.615,0,{krn:{"121',299,'119":-',326,'556',234,'119":-',326,'528',',0.431,0,{ic:0.',498,'97',521,'101',299,'97',299,'111',299,'99":-',326,'722',582,498,'101',299,'97',299,'111',299,'99":-',326,'528',214,'528',496,497,498,'111',299,'101',299,'97',299,'46',374,'44":-0.',384,'444',214,'5',582,'0278,',262,'124}}],[1',582,'0278}],[0.','5',206,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',423,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',384,'833',297,'127":0.167}}],[0.','763',423,625,'krn:{"127":0.0833}}],[0.','694',297,639,'742',423,'0757,',643,'831',423,'0812,krn:{"61',521,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',423,'0576,',643,'583',423,'139',635,656,'667',330,643,'612',423,'11,krn:{"61',521,655,656,'772',423,'0502,',643,'64',582,'0037,','krn:{"127":',326,'566',478,497,'0528,',643,'518',496,497,'0556}],[0.444',202,'0378,krn:{"',655,656,'406',261,'krn:{"127":0.0556}}],[0.','438',478,497,'0738,',643,'497',496,497,'0359,',699,'469',202,625,643,'354',261,699,'576',214,'583',206,'603',216,',{',682,326,'494',582,'0637,krn:{"',655,'0278}}],[0.','438',478,497,'046,','krn:{"127":0.111}}],[0.','57',582,'0359}],[0.','517',216,',{',643,'571',582,'0359,krn:{"59',521,'58":-0.',656,'437',582,'113,krn:{"',655,730,'54',582,'0359,',682,326,'596',478,',0.194,{',643,'626',216,',{',699,'651',478,497,'0359,',735,'622',582,738,'466',261,643,'591',',0.694,0,{',643,'828',582,629,'517',216,',{',643,'363',496,',0.0972,{ic:0.','0799,',643,'654',216,',{',682,'0.0833}}],[1',289,'1',289,'1',289,'1',289,'0.278',',0.464,-0.0363],[','0.278',806,'0.5,0.465,-0.0347],[',809,'0.5',214,'5',214,'5',214,'5',216,'],[0.5',216,'],[0.5',216,269,'5',216,269,'5',216,'],[',258,'],[',258,259,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',521,'65',521,'77',521,'78',521,'89":0.0556,"90":-0.',656,'778',835,809,'0.531',202,'0556,',643,'75',297,'127":','0.','139}}],[0.','759',423,'0502,',643,'715',423,'0715,krn:{"61',299,655,384,'828',423,625,699,'738',423,'0576,',643,'643',423,'139',635,384,'786',330,643,'831',423,'0812,krn:{"61',521,655,656,'44',423,'0785,',735,'555',423,'0962',635,'167}}],[0.','849',423,'0715,krn:{"61',521,655,656,'681',297,855,326,'97',423,'109,krn:{"','61',521,655,384,'803',423,911,'61',374,'61',299,655,384,'763',423,625,643,'642',423,'139',635,384,'791,0.683',761,643,'759',423,'00773,',643,'613',423,'0576,krn:{"61',521,655,384,'584',423,'139,krn:{"61',299,655,384,'683',423,911,'59":-0.111,"',747,'111,"61',521,855,326,'583',423,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',423,'139',965,'828',423,'0785,krn:{"61',374,'61',299,655,384,'581',423,'222',965,'683',423,'0715,krn:{"61',521,655,384,'389,0.75],[0.389',241,'0.389',241,'1,0.358,-0.142],[',992,'0.417',779,735,'529',214,'429',206,'433',261,699,'52',249,'89":0.0556,"90',521,'106":-0.111,"102":-0.167,"',639,'466',261,699,'49',478,497,'108,krn:{"',655,898,'477',496,497,'0359,',682,326,'576',249,'127":-',326,'345,0.66],[0.412,0.66',497,'0572,krn:{"59',521,747,656,'521',202,'0315}],[0.298',202,'0197,',643,'878',214,'6',214,'485',261,699,'503',216,',{',643,'446',496,497,'0359,',643,'451',582,625,'krn:{"',655,656,'469',261,699,'361,0.615,0,{',643,'572',234,855,326,'485',582,'0359,',682,326,'716',582,'0269,',643,'572',234,855,326,'49',496,497,'0359,',699,'465',582,'044,',699,'322',234,855,326,'384',216,',{',643,'636',216,',{',735,'5,0.714',',0,{ic:0.','154}],[0.278',202,'399}]],cmsy10:[[',257,'0.278,0.444,-0.0556],[',257,809,257,'0.5,0.444,-0.0556],[',257,257,257,257,257,257,257,'1',241,1116,1116,'0.778',806,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1131,1131,1131,1131,1131,'],[0.778',289,'0.778,0.483,-0.0169],[0.778',835,'0.778',835,'1',835,'1',835,'0.778',835,'0.778',835,'1',289,'1',289,'0.5',241,'0.5',241,'1',289,'1',241,'1',241,'0.778',806,'1',289,'1',289,'0.611',241,'0.611',241,'1',289,'1',241,'1',241,'0.778',214,'275,0.556],[1',214,'667',835,'0.667',835,'0.889',241,'0.889',241,'0',241,'0',289,'0.556',206,'556',206,'667',214,'5',243,'722',206,'722',206,'778',206,'778',206,'611',206,'798',297,'48":0.','194}}],[0.657',423,'0304',',krn:{"48":0.',857,'527',423,'0583',1221,857,'771',423,'0278',1221,384,'528',423,'0894',1221,'111}}],[0.','719',423,'0993',1221,1237,'595',',0.683,0.0972,{ic:0.','0593',1221,1237,'845',423,'00965',1221,1237,'545',423,'0738,krn:{"48":',326,'678',1244,'185',1221,898,'762',423,'0144',1221,656,'69',297,1217,'139}}],[1.2',297,1217,857,'82',423,'147',1221,384,'796',423,1230,1221,1237,'696',423,'0822',1221,384,'817,0.683,0.0972,{krn:{"',1217,1237,'848',297,1217,384,'606',423,'075',1221,857,'545',423,'254,krn:{"48":',326,'626',423,'0993',1221,384,'613',423,'0822,krn:{"48":',326,'988',423,'0822',1221,384,'713',423,'146',1221,857,'668',1244,'0822',1221,384,'725',423,'0794',1221,857,'667,0.556],[0.',1334,1334,1334,1334,'611',206,'611',206,'444',253,'444',253,'444',253,'444',253,'5',253,'5',253,'389',253,'389',253,'278',253,'5',253,'5',253,'611',253,'5',253,'278',241,'0.833,0.04,0.96],[0.75',180,'833',180,'417',478,497,'111}],[0.',1334,'667,0.556',1131,1131,'],[0.444',241,'0.444',241,'0.444',241,'0.611',241,'0.778,0.694,0.13','],[',1391,'],[',1391,'],[',1391,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1399,'17}],[0.417',1399,'104}],[0.417',1399,'105}],[0.','472',1399,'106}],[0.472',1399,'107}],[0.472',1399,'108}],[0.','472',1399,'109}],[0.583',1399,'110}],[0.583',1399,1378,'472',1399,'68}],[0.472',1399,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1426,'rep:13}}],[0.578',1399,'46}],[0.578',1399,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1434,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1438,'33}],[0.528',1438,'34}],[0.528',1438,'35}],[0.583',1438,'36}],[0.583',1438,'37}],[0.583',1438,'38}],[0.583',1438,'39}],[0.75',1438,'40}],[0.75',1438,'41}],[0.75',1438,'42}],[0.75',1438,'43}],[1.04',1438,'44}],[1.04',1438,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1466,'49}],[0.583',1466,'50}],[0.583',1466,'51}],[0.639',1466,'52}],[0.639',1466,'53}],[0.639',1466,'54}],[0.639',1466,'55}],[0.806',1466,'56}],[0.806',1466,'57}],[0.806',',0.04,2.96],[','0.806',1486,'1.28',1486,'1.28',1486,'0.811',1434,'n:30}],[0.811',1434,'n:31}],[0.875',1434,'delim:{top:','48,bot:64,rep:66}}],[0.875',1434,1499,'49,bot:65,','rep:67}}],[0.','667',1434,1499,'50,bot:52,rep:54}}],[0.667',1434,1499,'51,bot:53,rep:55}}],[0.667',1434,'delim:{bot:','52,rep:54}}],[0.667',1434,1513,'53,rep:55}}],[0.667',1426,'top:50,rep:54}}],[0.667',1426,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1522,'57,mid:61,bot:59,rep:62',1522,'56,bot:58,rep:62',1522,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1530,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1426,'top:120,','bot:121,rep:63}}],[0.','875',1434,1499,'56,bot:59,',1534,'875',1434,1499,'57,bot:58,',1534,'875',1426,'rep:66}}],[0.875',1426,1504,'611',1434,'n:28}],[0.611',1434,'n:29','}],[0.833,0,1,{n:','71}],[1.','11,0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[0.556,0,2.22,{ic:0.444}],[1.','11,0,1,{n:','75}],[1.51',',0.1,1.5],[1.',1564,'77}],[1.51',1566,1564,'79}],[1.51',1566,'06,0,1,{n:88}],[','0.944,0,1,{n:','89}],[',1562,'90',1559,'91',1559,'92',1559,'93',1559,'94',1559,'95}],[1.44',1566,'28,0.1,1.5],[0.556,0',',2.22,{ic:0.444}],[1.11',1566,'11',1566,'11',1566,'11',1566,1561,1574,'97}],[1.',1589,'.722,0,{n:99','}],[1,0.75,0,{n:','100','}],[1.44,0.75],[0.','556,0.722,0,{n:102',1603,'103',1605,'472',1434,'n:20}],[0.472',1434,'n:21}],[0.528',1434,'n:22}],[0.528',1434,'n:23}],[0.528',1434,'n:24}],[0.528',1434,'n:25}],[0.667',1434,'n:26}],[0.667',1434,'n:27}],[1',1399,'113}],[1',1434,'n:114}],[1',1438,'115}],[1',1466,'116}],[1.06,0,1.8,{',1499,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1426,'top:126,','bot:127,rep:119','}}],[0.667',1426,1537,'rep:63}}],[0.667',1426,1538,'45,0.12],[0.',1646,1646,1646,'778',1426,1638,'rep:119}}],[0.778',1426,1639,'}}]],cmti10:[[0.627',423,'133}],[0.818',180,'767',423,'094}],[0.692',180,'664',423,'153}],[0.743',423,'164}],[0.','716',423,'12}],[0.','767',423,1378,'716',423,'0599}],[0.767',423,1378,'716',423,'103}],[0.','613',478,497,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',204,'562',478,497,1682,'588',478,497,1682,'882',478,497,1682,'894',478,497,1682,'307',582,'0767}],[0.','332',496,497,'0374}],[0.511',206,'511',202,'0969','}],[0.511,0.','628',1107,'083}],[0.511',202,'108',1715,'562',1107,1682,'831',206,'46,0,0.17],[0.537',478,497,1406,'716',582,'0751}],[0.716',582,'0751',1715,'528',790,'0919}],[0.883',423,1671,'985',423,1671,'767,0.732,0.0486,{ic:0.094}],[0.256',234,'108":-0.256,"76":-0.321}}],[0.307',202,'124,lig:{"96":',237,'514',202,'0696}],[0.818',478,497,'0662}],[0.769',206,'818,0.75,0.0556,{ic:0.136}],[0.767',202,'0969}],[0.307',202,'124,krn:{"63":0.102,"33":0.102',251,'409',',0.75,0.25,{ic:0.','162}],[0.409',1765,'0369',1715,'75',1107,'149}],[0.767,0.562,0.0567,{ic:0.0369','}],[0.307,0.','106',259,'358',582,'0283,',262,'123}}],[0.307,0.106],[0.511',1765,'162}],[','0.511,0.644,0,{ic:0.136}],[',1783,1783,1783,'0.511',268,497,'136}],[',1783,1783,'0.511',268,497,'136}],[',1783,1783,'0.307',582,'0582',1773,'431',497,'0582',1773,'5',497,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1715,'5',259,'511',202,'122,lig:{"96":62}}],[0.767',202,'096}],[0.743',330,'krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',1821,'86','":-0.102,"','87',1825,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',423,1682,'716',423,'145}],[0.','755',423,'094,krn:{"88','":-0.0256,"','87',1838,'65',1838,'86',1838,'89','":-0.0256}}],[0.','678',423,1671,'653',423,'133,krn:{"','111','":-0.0767,"101":-0.0767,"','117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',1825,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',423,'0872}],[0.743',423,1668,'386',423,'158}],[0.525',423,'14}],[0.769',423,'145,krn:{"',1859,'627',297,'84',1821,'89',1821,'86',1825,'87',1825,1828,'897',423,1668,'743',423,1668,'767',423,'094,krn:{"88',1838,'87',1838,'65',1838,'86',1838,'89',1846,'678',423,'103',',krn:{"65":-0.0767}}],[0.','767,0.683',497,'094}],[0.729',423,'0387,',1819,'0.0256,"84',1821,'89',1821,'86',1825,'87',1825,1828,'562',423,1671,'716',423,1852,'121',1854,'111',1856,'117":-0.0767,"65":-0.0767}}],[0.','743',423,1668,'743',423,'184,krn:{"111',1854,'117',1856,'65',1825,1859,'999',423,'184',1905,'743',423,'158,krn:{"',1859,'743',423,'194,',443,1821,'111',1856,1931,'613',423,1834,'307',1765,'188}],[0.514',202,'169}],[0.307',1765,1406,'511',202,'0665',1773,'668',1107,'118}],[0.307',202,1749,468,'511',582,1706,'46',202,'0631,krn:{"',1828,'46',582,'0565,krn:{"',1828,'511',202,'103,krn:{"108":0.0511}}],[0.','46',582,'0751,krn:{"',1828,'307',478,497,1686,494,'46',496,497,'0885}],[0.','511',202,'0767',1773,'655',1107,'102',1773,'655',497,1834,'46',202,1413,'256',202,1993,'818',582,1706,'562',582,'0767,krn:{"39":-0.102}}],[0.511',582,'0631,krn:{"',1828,'511',496,497,'0631,krn:{"',1828,'46',496,497,2006,'422,'],
  ['0.431',',0,{ic:0.','108,','krn:{"101','":-0.0511,"','97',4,'111',4,'100',4,'99',4,'103',4,'113":-0.0511','}}],[0.','409,0.431',1,'0821}],[0.332,0.615',1,'0949}],[0.537,0.431',1,'0767}],[0.46,0.431',1,'108}],[0.664,0.431',1,'108,krn:{"108":0.0511',16,'464,0.431',1,'12}],[0.486,0.431,0.194',',{ic:0.','0885}],[0.409,0.431',1,'123','}],[0.511,0.','431',1,'0921',',lig:{"45":124}}],[1.','02,0.431',1,39,36,'694',1,'122',36,'668',1,'116',36,'668',1,'105}]],cmbx10:[[0.692',',0.686],[0.','958',56,'894',56,'806',56,'767',56,'9',56,'831',56,'894',56,'831',56,'894',56,'831',56,'671',',0.694',1,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15',16,'639',',0.694],[0.','639',84,'958',84,'958',84,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',95,'694',95,'632',95,'694',95,'596],[0.869',84,'511,0,0.17],[0.597',84,'831',92,'894',',0.444',95,'542,0.0972],[1.04',',0.686','],[1.17',56,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378',16,'35',',0.694,0,{lig:{"96":','60',16,'603',84,'958,0.','694,0.194',95,'75,0.0556],[0.',127,130,'894',84,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34',16,'447',',0.75,0.25],[0.','447,0.75,0.25',95,'75],[0.894,0.633,0.133],[0.','319,0.156',',0.194],[0.','383',111,',0,{lig:{"45":123',16,144,95,'75,0.25',95,'644',95,'644',95,'644',95,'644',95,'644',95,'644',95,'644',95,'644',95,'644',95,'644],[0.319',92,'319',94,'],[0.35,0.5',145,'894,0.391,-0.109],[0.543,0.5',145,'543',122,'62',16,'894',84,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',189,'79',189,'71',189,'85',189,'81',189,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',56,'831',56,'882',187,'88',189,'87',189,'65',189,'86',189,'89','":-0.0319}}],[0.','756',56,'724',187,'111','":-0.0958,"','101',222,'117','":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.','128,"79',189,'67',189,'71',189,'81',216,'904',56,'9',56,'436',187,'73":0.0319',16,'594',56,'901',187,'79',189,'67',189,'71',189,'81',216,'692',187,200,'1.09',56,'9',56,'864',187,'88',189,'87',189,'65',189,'86',189,'89',216,'786',187,'65',222,'111',189,'101',189,'97',189,'46',222,'44','":-0.0958}}],[0.','864',114,145,'862',187,'116',189,'67',189,'79',189,'71',189,'85',189,'81',189,200,'0.639',56,'8',187,'121',189,'101',222,'111',226,'0958,"117',287,'885',56,'869',114,1,'016,krn:{"','111',222,'101',222,'117',226,'128,"79',189,'67',189,'71',189,'81":-0.0319}}],[1.19',114,1,323,'111',222,'101',222,'117',226,'128,"79',189,'67',189,'71',189,'81',216,'869',187,'79',189,'67',189,'71',189,'81',216,'869',114,1,'0287,',3,222,'111',226,'0958,"117',287,'703',56,'319',140,'603',84,'319,0.75,0.25',95,'694],[0.319',84,'319',122,'92',16,'559',118,'118',189,'106":0.','0639,"121',189,'119',216,'639',136,'101','":0.0319,"','111',400,'120',189,'100',400,'99',400,'113',400,'118',189,392,'0639,"121',189,'119',216,'511',118,'104',189,'107',216,'639',84,'527',92,'351',78,1,80,'12,"102":11,"108":13',16,'575',94,32,323,392,'0319',16,'639',136,'116',189,'117',189,'98',189,'121',189,'118',189,'119',216,'319',84,'351',78,145,'607',136,'97":-0.0639,"101',189,'97',189,'111',189,'99',216,'319',84,'958',118,'116',189,'117',189,'98',189,'121',189,'118',189,'119',216,'639',118,'116',189,'117',189,'98',189,'121',189,'118',189,'119',216,'575',118,'101',400,'111',400,'120',189,'100',400,'99',400,'113',400,'118',189,392,'0639,"121',189,'119',216,'639',94,',{',3,400,'111',400,'120',189,'100',400,'99',400,'113',400,'118',189,392,'0639,"121',189,'119',216,'607',94,'],[0.474',92,'454',92,'447,0.635,0,{krn:{"121',189,'119',216,'639',118,'119',216,'607',111,1,323,'97":-0.0639,"101',189,'97',189,'111',189,'99',216,'831',111,1,323,'101',189,'97',189,'111',189,'99',216,'607',92,'607',94,32,323,'111',189,'101',189,'97',189,'46',222,'44',287,'511',111,95,'444',1,'0319',40,'15',111,1,'0319}],[0.575',78,95,'694',95,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_95){for(var _96 in _95){if(!','this.update[_96',']){',617,']=[];}',617,']=',617,'].concat(_95[_96]);}},AddFont',615,'_97,def){if(!',613,'[_97]){',613,'[_97]={};}','jsMath.Add(',613,'[_97],def);},UpdateFonts',':function(){','var _99=this.update;','if(!this.loaded){','return;}var ','_9a=this[','jsMath.Img.fonts','[this.best]];','for(var _9b in _99){','for(var i=0;i<','_99[_9b].length;i++){var c=_99[_9b][i];if(c=="all"){for(c in ','jsMath.TeX[','_9b]){',644,'_9b][c].img','={};}}else{',644,647,'={};}}}this.update={};},BestSize',634,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',654,'i]]+2*m)/3){','return ','i-1;}m=',654,'i]];}',661,'i-1;},Scale',634,636,'return;}this.best=this.BestSize();this.em=',613,'.w[',656,640,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',674,'-1)<0.12){',674,'=1;}},URL',615,'_a1,_a2,C){var _a4=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_a2!=""){_a2+="/";}','return this.','root+_a1+_a4+_a2+C;},LoadFont',615,'_a5){',636,'this.Init();}jsMath.Setup.Script(this.URL(_a5,""));},Init',634,'if(',683,'print){',683,'print=0;var _a6=jsMath.Element("button");if(_a6){_a6.style.display="none";}this.factor*=3;if(jsMath.window.location.protocol!="file:"){jsMath.Controls.SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',683,'alpha=0;}}var _a7="0123456789ABCDEF";this.HexCode=[];',642,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_a7.charAt(h)+_a7.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',615,'m){var n=5;if(m<0){n++;}',676,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',661,'s+"em";},Spacer',615,'w){if(w','==0){return "";}',661,697,'msieSpaceFix+"<span style=\\"margin-left',': "+this.Em(w-',697,'spaceWidth',')+"\\">"+',697,'hiddenSpace+"</span','>";},Rule',615,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}','if(w==0||h',711,'w*=',697,'imgScale',';h=Math.round(h*jsMath.em*',697,728,'+0.25);if(h<1){h=1;}return "<','img src=\\""+jsMath.blank','+"\\" hspace=\\"0\\" vspace=\\"0\\" "+"style=\\"width',':"+this.Em(','w)+"; height:1px; "+"','vertical-align',':-1px; "+"border:0px none; border-top:"+h+"px solid\\" />";},Class',615,'_b1,_b2){return "<span class=\\""+_b1+"\\">"+_b2+"</span>";},Place',615,'_b3',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _b6','="<span style=\\"position: ','relative',';";if(x){_b6+=" margin-left',735,'x)+";";}if(y){_b6+=" ','top:"+this.Em(-y',')+";";}_b3=_b6+"\\">"+_b3','+"</span>";}',661,'_b3;},PlaceSeparateSkips',615,'_b7',743,'if(y){_b7',745,746,'; ',750,')+";"+"\\">"+_b7',752,'if(x){_b7=',697,714,735,'x-',697,717,')+";\\">"+',697,720,'>"+_b7',';}return ','_b7;},PlaceAbsolute',615,'_ba',743,'_ba',745,'absolute; left',735,'x)+"; "+"top',735,'y',772,'_ba+"&nbsp;</span>";',661,'_ba;},Absolute',615,'_bd,w,h,d,y,H){var _c3="";if(d&&d!="none"){_c3=" ',737,': "+','jsMath.HTML.','Em(-d)+";";}if(y!="none"){',676,'y)<0.0001){y=0;}_bd',745,'absolute; "+"top:"+',796,'Em(y)+"; left: 0em',';\\">"+_bd','+"&nbsp;"+"</span>";}_bd+="<',733,'+"\\" style=\\""+"width:"+',796,'Em(w*',697,728,')+"; "+"height:"+',796,'Em(h*',697,728,')+";"+_c3+"\\" />";if(',697,'msieAbsoluteBug){_bd',745,746,804,752,'_bd',745,746,';"+" width: "+',796,'Em(w)+";"+" height: "+',796,'Em(H)+";"+',697,'msieInlineBlockFix+"\\">"+_bd+"</span>";',661,'_bd;}};','jsMath.Box','=function(','_c4,_c5,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_c5;this.format=_c4;};',631,836,',{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',615,'_c9,_ca,_cb,_cc,a,d){var _cf=','jsMath.Typeset.AddClass(','_ca,_c9);_cf=','jsMath.Typeset.','AddStyle(','_cb,_cc,_cf);var BB','=jsMath.EmBoxFor(','_cf);var TeX=',850,'TeX(_cb,_cc);var bd=((_ca=="cmsy10"||_ca=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',844,'text",_c9,BB.w,BB.h-bd,bd);box.style=_cb;box.size=_cc;','box.tclass','=_ca;if(d','!=null){box.','d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',615,'C,_d5,_d6,_d7){var c=',644,'_d5][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_d5,C,',850,'StyleSize(_d6,_d7));}var _d9=',850,'TeX(_d6,_d7).scale;var h=c.h+',644,'_d5].dh;',857,844,'text",c.c,c.w*_d9,h*_d9,c.d*_d9);box.style=_d6;box.size=_d7;if(c.tclass){',860,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_d9*jsMath.h;box.bd=_d9*jsMath.d;}}else{',860,'=_d5;box.bh=_d9*',644,'_d5].h;box.bd=_d9*',644,'_d5].d;if(',697,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display: none\\">x</span','>";}}',866,'TeXfallback',615,'C,_dd,_de,_df','){c=',644,'_dd][C];if(!c.tclass){c.tclass=_dd',876,'){',685,'TeXnonfallback(',901,');}if(c.h!=null&&c.a',874,'a=c.h-1.1*jsMath.TeX.x_height;}',857,'this.Text(c.c,c.tclass,_de,_df,c.a,c.d);var _e1=',850,'TeX(_de,_df).scale;if(c.bh',862,'bh=c.bh*_e1;box.bd=c.bd*_e1;}else{var h=box.bd+box.bh;var _e3=',848,860,',box.html);_e3=',850,851,'_de,_df,_e3);box.bd',853,'_e3+"<',733,'+"\\" "+"style','=\\"width: 1px; height: "+',796,'Em(h)+"\\" />").h-h;box.bh=h-box.bd;if(_e1==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',896,'>";}',866,'TeXIMG',615,'_e4,C,_e6){var c=',644,'_e4][C];if(c.img.size!=null&&c.img.size==_e6&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',637,'_e8=(',613,'.scale!=1);var id=',940,'+_e6-4;if(id<0){id=0;_e8=1;}else{if(id>=',639,'.length){','id=',639,'.length-1',';_e8=1;}}var _ea=',613,'[',639,'[id]];var img=_ea[_e4][C];var _ec=1/',613,'.w[',639,'[id]];if(id!=',940,'+_e6-4){if(c.w!=null){_ec=c.w/img[0];}else{_ec*=',639,'[_e6]/',639,'[4]*',639,'[',940,']/',639,'[id];}}var w=img[0]*_ec;var h=img[1]*_ec;var d=-img[2]*_ec;var v;var _f1=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',796,'Em(c.w-w)+";";var _f2="";C=',613,'.HexCode[C];if(!_e8&&!',683,'scaleImg){if(2*w<h||(',697,'msieAlphaBug&&',683,'alpha)){_f2="height',':"+(img[1]*',697,728,')+"px;";}_f2+=" width:"+(img[0]*',697,728,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',697,'msieAlphaBug&&',683,983,':"+',796,'Em(h*',697,728,')+";";}_f2+=" width:"+',796,'Em(w*',697,728,')+";";v=',796,'Em(d);}var _f3=(Math.abs(d)<0.01&&!',697,'valignBug)?"":" ',737,':"+v+";";var URL=',613,'.URL(_e4,',639,'[id],C);if(',697,'msieAlphaBug&&',683,'alpha){c.c="<',733,928,'=\\""+',697,'msieCenterBugFix+_f2+_f3+_f1','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{c.c="<img src=\\""+URL+"\\" style=\\""+',697,1024,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_e6;c.img.best=',940,';},Space',615,'w){',661,844,'html",',796,'Spacer(w),w,0,0);},Rule',615,723,'var _f8=',796,'Rule(w,h);',661,844,1035,'_f8,w,h,0);},GetChar',615,'_f9,_fa){var c=',644,'_fa][_f9];','if(c.img!=null){this.TeXIMG(','_fa,_f9,4);}if(c.tclass',874,'tclass=_fa;}if(!c.computedW){c.w',853,848,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',872,'c.computedW=1',776,'c;},DelimBestFit',615,'H,c,_fe,_ff){if(c==0&&_fe','==0){return null;}','var C;var h;_fe','=jsMath.TeX.fam[','_fe];var isSS=(_ff.charAt(1)=="S");var isS=(_ff.charAt(0)=="S");while(c!=null){C=',644,'_fe][c];if(C.h==null){C',1059,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,_fe',',"",H];}if(isSS&&0.5*h>=H',1074,',"SS",0.5*h];}if(isS&&0.7*h>=H',1074,',"S",0.7*h];}if(h>=H||C.n==null',1074,',"T",h];}c=C.n',776,'null;},DelimExtendRelative',615,'H,c,font,a,','_108){var C=',644,'font][','c];var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',848,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1094,')));H=2*n*(',1094,')+(top.h+top.d)+(','mid.h+mid.d',')+(',1098,');if(_108){y=0;}else{y=H/2+a;}var Y=y',';var html=',796,'Place(',848,'top.tclass,top.c),0,','y-top.h)+',796,1110,848,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',796,1110,848,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',642,'n;i++){','html+=',796,1110,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',1094,'));if(top.h+top.d<0.9*(',1094,')){n=Math.max(1,n);}H=n*(',1094,1103,1098,');if(_108){y=0;}else{y=H/2+a;}var Y=y',1108,796,1110,848,1112,'y-top.h);dx=(w-top',1124,1128,796,1110,848,1117,'w+bot.w)/2,Y-(H-bot.d));}if(_108){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',615,1085,'_121){var Font=',644,'font];var ','C=Font[',1089,1096,'-0.05)-(',1098,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1169,1103,1104,'-0.05)+(',1098,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',848,1112,'0);var h=',1169,';var y=top.d-0.05+rep.h;var ext=',848,'font,rep.c);',642,'n;i++){',1128,1177,'ext,0,y+i*h);}',1128,1177,848,1122,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1104,'-0.05;',642,'n;i++){',1128,1177,'ext,0,y+i*h);}',1128,1177,848,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1132,1167,1169,'));H=n*(',1169,1103,1098,'-0.05);html=',1177,848,1112,'0);var h=',1169,';var y=top.d-0.05+rep.h;var ext=',848,1092,642,'n;i++){',1128,1177,'ext,0,y+i*h);}',1128,1177,848,1205,'var w=top.w;if(_121){h=top.h;y=0;}else{h=H/2+a;y=h-top.h;}html=',796,'Absolute(html,w,','Font.h,"none",-y,top.h);',1155,'Delimiter',615,'H,_136,_137,_138){var size=4;var TeX=',850,'TeX(_137,size);if(!_136){',685,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_136[','2],_136[1],_137);if(CFSH==null||CFSH[3]<H){',1244,'4],_136[3],_137);}if(CFSH==null){',685,1242,'if(CFSH[2]==""){',685,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_138);}box=',836,'.TeX(',1253,'CFSH[2],size',').Styled();if(_138){box.y=-',644,'CFSH[1]].dh',864,'y=-((box.h+box.d)/2-box.d-',1254,');}',676,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1259,');}',866,'GetCharCode',615,'code){var font',1068,'code[0]];var Font=',644,1161,'c=Font[code[1]];',1051,'font,code[1],4);}if(c.w',874,'w',853,848,1057,';}if(c.font',874,'font=font',776,'c;},AddClass',615,'_140,html',',font){if(_140==null){_140=font',776,848,1295,');},LayoutRelative',615,'size,_144,_145,_146){if(_145==null){_145=[];}if(_146==null){_146=[];}var _147=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_14b=-1000;var bh=_14b;var bd=_14b',';var i;var j;var row;for(i=0;i<','_144',657,'row=_144','[i];H[i]=jsMath.h*','_147',';D[i]=jsMath.d*','_147',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(bh==_14b){bh=0;}if(bd==_14b){bd=0;}','var HD=(jsMath.hd-0.01)*','_147;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _159;var _15a',';for(j=0;j<W.length;j++){','_159=[];y=-H[0];pW=0',';for(i=0;i<','_144',657,'_15a=_144[i][j];if(_15a&&_15a','.format!="null"){if(','_145[j]=="l"){w=0;}else{if(_145[j]=="r"){w=W[j]-_15a.w;}else{w=(W[j]-_15a.w)/2;}}_15a.x=w-pW;pW=_15a.w+w;_15a.y=y;_159[_159.length]=_15a;}if(i==_144',952,'){y-=D[i];}else{y-=','Math.max(HD,D[i]+H[i+1])+','_147/10;}}if(_146[j]==null){_146[j]=_147;}if(_159.length>0',1269,'(_159,"T",size);',1128,796,1110,'box.html,cW,0);cW=W[j]-box.w+_146[j];}else{cW+=_146[j];}}w=-_146[W',952,'];y=(H',952,')*_147/10',1322,'W',657,'w+=W[i]+_146[i];}','for(i=0;i<H.length;i++){y+=Math.max(HD,H[i]+D[i]);}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1128,796,'Spacer(cW-_146[W',952,']+_147/6);html=',796,1110,'html,_147/6,h);box=',844,'html",html,w+','_147/3,h,d);box.bh=bh;box.bd=bd;',866,'LayoutAbsolute',615,'size,_15d,_15e,_15f){if(_15e==null){_15e=[];}if(_15f==null){_15f=[];}var _160=jsMath.sizes[size]/100;',1316,'_160',1303,'w=0;var h;var x;var y',1305,'_15d',657,'row=_15d',1309,'_160',1311,'_160',1313,1314,'w;}}}}y=(H',952,')*_160/6;',1346,1318,'_16e;w=_160/6',1320,'y=H[0]-h',1322,'_15d',657,'_16e=_15d[i][j];if(_16e&&_16e',1326,'_15e[j]=="l"){x=0;}else{if(_15e[j]=="r"){x=W[j]-_16e.w;}else{x=(W[j]-_16e.w)/2;}}',1128,1177,'_16e.html,w+x,y-Math.max(0,_16e.bh-jsMath.h*_160));}if(i==_15d',952,'){y+=D[i];}else{y+=',1330,'_160/6;}}if(_15f[j]==null){_15f[j]=_160;}w+=W[j]+_15f[j];}w=-_15f[W',952,']+_160/3',1322,'W',657,'w+=W[i]+_15f[i];}html=',796,'Spacer(_160/6',')+html+',796,1404,');if(',697,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',796,1233,'h+d,d,y,H[0]);',857,844,1356,'_160/3,h,d);',866,'InternalMath',615,'text,size){if(!text.match(/\\$|\\\\\\(/)){',685,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _175="";var _176=[];var _177;var html;var box;while(i<text',949,'c=text.charAt(i++);if(c','=="$"){if(_175=="$"){','_177=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_177.error){_176[_176.length]=this.Text(_177.error,"error","T",size,1,0.2);}else{_177.Atomize();_176[_176.length]=_177.mlist.Typeset("T",size).Styled();}_175="";k=i',';}else{','_176[_176.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_175="$";k=i;}}else{if(c=="\\\\"){',1425,'=="("&&_175==""){',1431,',i-2',1433,'_175=")";k=i;}else{if(c==")"&&_175==")"){',1427,'2',1429,';}}}}}',1431,1433,685,'SetList(_176,"T",size);},Set',615,'box',',_17b,size',',_17d){if(box){','if(box.type=="typeset"){',661,'box;}if(box.type=="mlist"){box.mlist.Atomize(_17b,size);',661,'box.mlist.Typeset(_17b,size);}if(box.type=="text"){box=this.Text(box.text,',860,1451,',box.ascend,box.descend',');if(_17d!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1451,1461,661,836,'.Null;},SetList',615,'_17e,_17f,size){var _181=[];var box;',642,'_17e',657,'box=_17e[i];',1453,'box=','jsMath.mItem','.Typeset(box);}_181[_181.length]=box;}var _184=new jsMath.Typeset(_181);',661,'_184.Typeset(_17f,size);}});','jsMath.Package(jsMath.','Box,{Styled',634,'if(this.format=="text"){',839,848,'this.tclass',',this.html);',839,850,851,'this.style,this.size',1487,'delete this.','tclass;',1493,'style;this.format="html";}',661,'this;},Remeasured',634,'if(this.w>0&&!this.html.match(/position: ?absolute/)){this.w',853,'this.html).w',776,'this;}});',1476,837,'type,def){this.type=type;',631,'this,def);};',631,1476,',{Atom',615,'type,_188','){return new jsMath.mItem','(type,{atom:1,nuc',':_188});},TextAtom',615,'type,text,_18b,a,d){var atom=new ',1476,1516,':{type:"text",text:text,tclass:_18b}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1523,'descend=d',776,'atom;},TeXAtom',615,'type,c,font',1515,1516,':{type:"TeX",c:c,font:font}});},Fraction',615,'name,num,den,_195,left,_197',1515,'("fraction",{from:name,num:num,den:den,thickness:_195,left:left,right:_197});},Space',615,'w',1515,'("space",{w:w});},Typeset',615,'box',1515,'("box",{nuc:box});},HTML',615,'html',1515,'("html",{html:html});}});jsMath.mList',837,'list,font,size,_19e){if(list){','this.mlist','=list;}else{',1552,'=[];}if(_19e==null){_19e="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_19e','};this.init={',1556,'};};',1480,'mList,{Add',615,'box){return (',1552,'[','this.mlist.length',']=box);},Get',615,'i){',685,'mlist[i];},Length',634,661,1566,';},Last',634,'if(',1566,1066,685,'mlist[',1566,'-1];},Range',615,'i,j){if(j==null){j=',1566,776,'new jsMath.mList','(',1552,'.slice(i,j+1));},Delete',615,1585,'i;}if(',1552,'.splice){',1552,'.splice(i,j-i+1);}else{var _1a5=[];for(var k=0;k<',1566,';k++){if(k<i||k>j){_1a5[_1a5.length]=',1552,'[k];}}',1552,'=_1a5;}},Open',615,'left){',857,'this.Add(new ',1476,'("boundary",{','data:this.data}));var _1a9=this.data;this.data={};for(var i in _1a9){this.data[i]=_1a9[i];}',1493,'data.overI;',1493,'data.overF;this.data.openI=',1566,'-1;if(left',862,'left=left;}',866,'Close',615,'_1ab){if(_1ab!=null){_1ab=new ',1476,1610,'right:_1ab});}var atom;var open=this.data.openI;','var over=this.data.overI;var from=this.data.overF;','this.data=',1552,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1ab){var _1b0=',1588,'([',1552,'[open],atom,_1ab]);atom=',1476,'.Atom("inner','",{type:"mlist",mlist:','_1b0});}}else{var _1b1=open+1;if(_1ab){this.Add(_1ab);_1b1--;}atom=',1476,'.Atom((_1ab)?"inner":"ord',1639,'this.Range(_1b1)});}this.Delete(open,this.Length());',685,'Add(atom);},Over',634,1627,'var ',1631,1552,'=[atom];},Atomize',615,'_1b5,size){var _1b7;var prev="";this.style=_1b5;this.size=size;',642,'this.ml'],
  ['ist','.length',';i++){','_1b7','=','this.mlist','[i];',3,'.delta=0;','if(',3,'.type=="','choice"){',5,'=this.Atomize.choice(','this.style',',',3,',i,',5,');i--;}','else{if(','this.Atomize[_1b7.type',']){var f=',22,'];f(',15,',','this.size',',',3,',prev,this,i);}}prev=',3,';}if(',3,'&&',3,11,'bin"){',3,'.type="ord";}','if(',5,1,'>=2&&',3,11,'boundary"&&',5,'[0].type=="boundary"){this.','AddDelimiters','(_1b5,size);}},',50,':function(','_1bb,size){var _1bd=-10000;var h=_1bd;var d=_1bd;for(var i=0;i<',5,1,2,'mitem=',5,6,'if(mitem.atom||mitem',11,'box"){h','=Math.max(','h,','mitem.nuc.','h+',66,'y);d',64,'d,',66,'d-',66,'y);}}var TeX','=jsMath.TeX',';var a=','jsMath.Typeset.','TeX(_1bb,size).axis_height;var _1c3',64,'h-a,d+a);var H',64,'Math.floor(','TeX.integer','*_1c3/500)*TeX.delimiterfactor,',84,'*(2*_1c3-TeX.delimitershortfall))/',84,';var left=',5,'[0];var _1c6=',5,'[',5,1,'-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1bb);_1c6.nuc',97,98,'_1c6.right',',_1bb);left.type="open";left','.atom=1;delete ',99,';_1c6.type="close";_1c6',105,103,';},Typeset',53,'_1c7,size){var _1c9=new ','jsMath.Typeset','(',5,');return _1c9.Typeset(_1c7,size);}});jsMath.Add(jsMath.mList.prototype.Atomize,{style',53,'_1ca,size,_1cc,prev,_1ce){_1ce.style=_1cc.style;},size',53,'_1cf,size,_1d1,prev,_1d3){_1d3.size=_1d1.size;},phantom',53,'_1d4,size,_1d6){','var box','=_1d6.nuc',97,'Set(','_1d6.phantom',',_1d4',',size);','if(_1d6.h){box','.Remeasured();','box','.html=','jsMath.HTML.','Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1d6.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',127,';_1d6','.type="box";},','smash',53,'_1d8,size,_1da){',123,'=_1da.nuc',97,126,'_1da.smash',',_1d8,','size).Remeasured();',138,140,151,';_1da',143,'raise',53,'_1dc,size,_1de){','_1de.nuc',97,126,162,',_1dc',',size);var ','y=_1de.raise;',162,133,134,'Place(',162,'.html,0,y);',162,'.h+=y;',162,'.d-=y;_1de','.type="ord";','_1de.atom=1;},lap',53,'_1e0,size,_1e2){',123,97,126,'_1e2.nuc',',_1e0,',153,'var _1e4=[box];','if(_1e2.lap=="','llap"){','box.x=-box.w',';}else{',190,'rlap"){_1e4[1]=','jsMath.mItem.Space','(-',136,190,'ulap"){box.y=box.d;',138,'0',193,190,'dlap"){box.y=-box.h;',138,'0;}}}}',186,97,'SetList','(_1e4,_1e0',129,190,'ulap"||_1e2.lap=="dlap"){',186,'.h=',186,'.d=0;}_1e2.type="box";delete _1e2.atom;},bin',53,'_1e5,size,_1e7',',prev){if(prev','){var type=prev.type;if(type=="bin','"||type=="','op',223,'rel',223,'open',223,'punct"||type==""||(type=="',47,'prev.left!="")){_1e7.type="ord";}}else{_1e7',40,'jsMath.mList.prototype.Atomize.SupSub(',220,');},rel',53,'_1ea,size,_1ec',221,11,38,'prev',40,234,238,');},close',53,'_1ee,size,_1f0',221,11,38,'prev',40,234,248,');},punct',53,'_1f2,size,_1f4',221,11,38,'prev',40,234,258,');},open',53,'_1f6,size,_1f8','){',234,268,');},inner',53,'_1f9,size,_1fb','){',234,274,');},','vcenter',53,'_1fc,size,_1fe','){',123,97,126,'_1fe.nuc,_1fc',167,'TeX=',78,'TeX(_1fc',129,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_1fe.nuc=box;_1fe',179,234,281,');},','overline',53,'_201,size,_203','){var TeX=',78,'TeX(_201',167,'box',97,126,'_203.nuc',',',78,'PrimeStyle','(_201),',153,'var t=','TeX.default_rule_thickness',';var rule',97,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',309,97,'SetList([box,','rule],_201',129,309,'.h+=t;_203',179,234,301,');},','underline',53,'_208,size,_20a','){var TeX=',78,'TeX(_208',167,'box',97,126,'_20a.nuc',',',78,312,'(_208),',153,315,316,';var rule',97,319,'=-box.d-3*t-t;',342,97,323,'rule],_208',129,342,'.d+=t;_20a',179,234,334,');},radical',53,'_20f,size,_211','){var TeX=',78,'TeX(_20f',167,'Cp=',78,312,'(_20f);',123,97,126,'_211.nuc,Cp,',153,315,316,';var p=t;if(_20f=="D"||_20f=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',97,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_20f,1);t=surd.h;if(surd.d>',385,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',97,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',192,';var Cr=',78,'UpStyle(',78,394,'_20f));var root',97,126,'_211.root,Cr,',153,'if(_211.root){root.y=0.55*(',385,'+3*t+r)-box.d;surd.x',64,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_211.nuc',97,210,'([surd,root,rule,box],_20f',129,'_211',179,234,366,');},accent',53,'_21c,size',',_21e){var TeX=',78,'TeX(_21c',167,'Cp=',78,312,'(_21c);',123,97,126,'_21e.nuc',',Cp',167,'u=box.w;var s;var Font;if(',429,11,'TeX"){Font',76,'[',429,'.font];if(Font[',429,'.c].krn&&Font.skewchar){s=Font[',429,'.c].krn[Font.skewchar];}}if(s==null){s=0;}var c=_21e.accent[2];var font',76,'.fam[_21e.accent[1]];Font',76,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _227=Math.min(box.h,TeX.','x_height);','if(',429,11,'TeX"){var ','_228=jsMath.mItem.Atom("ord",',429,');_228.sup=_21e.sup;_228.sub=_21e.sub;_228',8,234,417,',_228);_227+=(_228.nuc.h-box.h);box=',429,'=_228.nuc;delete _21e.sup;delete _21e.sub;}var acc',97,'TeX(c,font,',417,');acc.y=box.h-_227;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',429,97,323,'acc],',417,');if(',429,'.w!=box.w){var _22a=',196,'(box.w-',429,'.w);',429,97,210,'([',429,',_22a],',417,');}_21e',179,234,417,',_21e);},op',53,'_22b,size,_22d','){var TeX=',78,'TeX(_22b',167,'box;_22d',8,'var isD=(_22b','.charAt(0)=="','D");if','(_22d.limits','==null&&isD){_22d.limits=1;}if(','_22d.nuc',11,452,'C',76,'[_22d.nuc.font][',503,'.c];if(isD&&C.n){',503,'.c=C.n;C',76,508,'C.n];}box',97,'Set(_22d.nuc,_22b,size',');if(C.ic){_22d','.delta=C.ic*TeX.scale;if',501,'||!_22d.sub||','jsMath.Browser.','msieIntegralBug','){box',97,323,196,'(_22d.delta)],','_22b,size);}}','box.y=-((',385,')/2-box.d-',293,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',97,517,').Remeasured();}if',501,'){var W=box.w;var x=box.w;var _234=[box];var dh=0;var dd=0;if(_22d.sup){var sup',97,126,'_22d.sup,',78,394,'_22b),',153,'sup.x=((box.w-sup.w)/2+','_22d.delta/2)-x;','dh=TeX.big_op_spacing5;W',64,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);_234[_234',1,']=sup;delete _22d.sup;}if(_22d.sub){var sub',97,126,'_22d.sub,',78,'DownStyle','(_22b),',153,'sub.x=((box.w-sub.w)/2-',548,'dd=TeX.big_op_spacing5;W',64,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);_234[_234',1,']=sub;delete _22d.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){_234[_234',1,']=',196,'(W-x);}',503,97,210,'(_234,_22b',129,503,'.h+=dh;',503,'.d+=dd;}',21,522,523,'&&_22d.sub&&C&&C.ic){',503,97,323,'jsMath.Box.','Space(-C.ic*TeX.scale)],_22b,size);}',21,'box.y){',503,97,210,'([box],',529,234,491,');}},ord',53,'_239,size,_23b',',prev,_23d,i){if(_23b.nuc',11,'TeX"&&!_23b.sup&&!_23b.sub){var _23f=','_23d.mlist','[i+1];if(_23f&&_23f.atom&&_23f.type&&(_23f',11,'ord"||_23f',11,'op"||_23f',11,'bin"||_23f',11,'rel"||_23f',11,'open"||_23f',11,'close"||_23f',11,'punct")){if(_23f.nuc',11,'TeX"&&_23f.nuc.font==_23b.nuc.font){_23b.textsymbol=1;var krn',76,'[_23b.nuc.font][_23b.nuc.c].krn;krn*=',78,'TeX(_239,size).scale;if(krn&&krn[_23f.nuc.c]){for(var k=',605,1,'-1;k>i;k--){',605,'[k+1]=',605,'[k];}',605,'[i+1]=',196,'(krn[_23f.nuc.c]);}}}}',234,601,');},fraction',53,'_242,size,_244','){var TeX=',78,'TeX(_242',167,'t=0;if(_244.thickness!=null){t=_244.thickness;}',21,'_244.from.match(/over/)){t=',316,';}}var isD=(_242',499,'D");var Cn=(_242=="D")?"T":(_242=="D\'")?"T\'":',78,394,'_242);var Cd=(isD)?"T\'":',78,558,'(_242);var num',97,126,'_244.num,Cn,',153,'var den',97,126,'_244.den,Cd,',153,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _250=[',588,98,'_244.left,_242)];var _251',97,98,'_244.right,_242);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_250[1]=num;_250[2]=den',193,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_250[1]=den;_250[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',193,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',316,':3*',316,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',77,293,683,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',684,'v+=p-r;}var rule',97,'Rule(w,t);rule.x=-w;rule.y=a-t/2;_250[_250',1,']=rule;}num.y=u;den.y=-v;_250[_250',1,']=_251;_244.nuc',97,210,'(_250,_242',129,'_244',179,'_244',105,'_244.num;delete _244.den;',234,642,');},SupSub',53,'_258,size,_25a){var TeX=',78,'TeX(_258',167,'nuc=','_25a.nuc',';',123,'=',716,97,126,716,',_258,size,0);if(box.format=="null"){box=',716,97,'Text("","normal",','_258,size);}','if(nuc',11,'TeX"){if(!_25a.textsymbol){var C',76,'[nuc.font][nuc.c];if(C.ic){_25a',519,'(!_25a.sub){','box=',716,97,323,588,'Space(','_25a.delta',')],_258',129,742,'=0;}}}else{',742,'=0;}}if(!_25a.sup&&!_25a.sub){return;}',716,'.Styled();var Cd=',78,558,'(_258);var Cu=',78,394,'_258);var q=',78,'TeX(Cu,size).','sup_drop;var r=',78,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_25a.sub){var sub',97,126,'_25a.sub,Cd',129,'sub',97,210,'([sub,',196,'(TeX.scriptspace)],_258,size',');}if(!_25a.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',78,761,448,716,97,323,'sub],_258,size).Styled();','delete _25a.','sub;return;}var sup',97,126,'_25a.sup,Cu',129,'sup',97,210,'([sup,',196,772,');if(_258=="D"){p=TeX.sup1;}',21,'_258','.charAt(','_258',1,'-1)=="\'"){','p=TeX.sup3',193,'p=TeX.sup2;}}u',64,'u,p,sup.d+',78,758,'x_height/4);if',735,'sup.y=u;',716,97,323,'sup],_258',129,781,'sup;return;}v',64,'v,',78,761,'sub2);',315,316,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',131,'sub',131,809,'sub.y=-v;sup.x=',742,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',716,97,323,'sub,sup],',728,'else{sub.x-=(sup.w+sup.x);',716,97,323,'sup,sub],',728,781,'sup;',781,'sub;}});',113,'=function(_269){this.type="typeset";',5,'=_269;};jsMath.Add(',113,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',853,'\'",SS:"SS\'","',855,'UpStyle',53,'_26a){return this.upStyle[_26a];},',558,53,'_26b){return this.downStyle[_26b];},',312,53,'_26c){if(_26c',796,'_26c',1,799,'return _26c;}return _26c+"\'";},StyleValue',53,'_26d,v){if(_26d=="S"||_26d=="S\'"){return 0.7*v;}if(_26d=="SS"||_26d=="SS\'"){return 0.5*v;}return v;},StyleSize',53,'_26f,size){if(_26f=="S"||_26f=="S','\'"){size=Math.max(0,size-','2);}',21,'_26f=="SS','"||',881,878,'4);}}return ','size;},TeX',53,'_271,size){if(_271=="S"||_271=="S',878,'2);}',21,'_271=="SS','"||',892,878,885,'jsMath.TeXparams[size];},AddStyle',53,'_273,size,html){if(_273=="S"||_273=="S',878,'2);}',21,'_273=="SS','"||',903,878,'4);}}if(size!=4){html="<span class=\\"size"+size+"\\">"+html+"</span>";}return html;},AddClass',53,'_276,html){if(_276!=""&&_276!="normal"){html=',134,'Class(_276,html);}return html',';}});jsMath.','Package(',113,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',916,'punct',918,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',918,',bin:2,rel:3,open',924,'}},SSsep:{ord:{op:1},op',918,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',53,'l,r,_27a){if(l&&l.atom&&r.atom){var _27b=this.DTsep;if(_27a',499,'S"){_27b=this.SSsep;}var row=_27b[l.type];if(row&&row[r.type]!=null){return jsMath.TeX[this.sepW[row[r.type]]];}}return 0;},Typeset',53,'_27d,size){',15,'=_27d;',28,'=size;var _27f=-10000;this.w=0;this.h=_27f;this.d=_27f;this.bh=this.h;this.bd=this.d;','this.tbuf','="";this.','tx=0;','this.tclass','="";','this.cbuf',944,'hbuf',944,'hx=0;var _280=null;var prev;this.x=0;this.dx=0;for(var i=0;i<',5,1,2,'prev=_280;_280=',5,6,'switch(_280.type){case "size":','this.FlushClassed();',28,'=_280.size;','_280=prev;break;case "','style":',960,'if(',15,796,15,1,799,15,'=_280.style','+"\'";}else{',15,973,';}',963,'space":if(typeof (_280.w)=="object"){if(',15,796,'1)=="','S"){_280.w=0.','5*','_280.w[0]/18',';}',21,15,499,983,'7*',985,193,'_280.w=',985,';}}}this.dx+=_280.w-0;',963,'html":',960,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_280.html;_280=prev;break;default:if(!_280.atom&&_280.type!="box"){break;}','_280.nuc.','x+=this.dx+this.',932,'(prev,_280,',15,');if(',1004,'y||',1004,'x){',1004,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1004,'w+',1004,'x;if(',1004,'format=="text"){if(',946,'!=',1004,'tclass','&&',946,'!=""){this.FlushText();}if(',943,'==""&&',948,'==""){this.tx=this.x;}',943,'+=',1004,'html;',946,'=',1004,1025,193,960,'if(',1004,'x||',1004,'y){this.Place(_280.nuc);}',1000,'x;}',1002,1004,'html;}this.h',64,'this.h,',1004,'h+',1004,'y);this.bh',64,'this.bh,',1004,'bh);this.d',64,'this.d,',1004,'d-',1004,'y);this.bd',64,'this.bd,',1004,'bd);break;}}',960,'if(this.dx){',1002,134,135,'this.dx);this.w+=this.dx;}if(this.hbuf==""){return ',588,'Null;}if(this.h==_27f){this.h=0;}if(this.d==_27f){this.d=0;}',123,'=new jsMath.','Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;return box;},FlushText:function(){if(',943,'==""){return;}',948,'+=',78,'AddClass(',946,',',943,');',943,'="";',946,'="";},FlushClassed:function(){this.FlushText();if(',948,1085,1000,'tx;}',1002,78,'AddStyle(',15,',',28,',',948,');',948,'="";},Place',53,'item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',134,'Em(item.x',')+";";}if(item.y){html+=" top:"+',134,'Em(-item.y',')+";";}item',133,'html+"\\">"+','item.html+"</span','>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',53,'item){if(item.y){if(','item.html.match','(/^<img[^>]*>(<span style="margin-left: [-0-9.]*em"><\\/span>)?$/i)&&!',1131,'(/top:/)){item',133,'item.html.replace(/style=\\"/,"style=\\"position:relative; top:"+',134,1121,')+";");}else{item.',1115,'; "+"top:"+',134,1121,')+";"+"\\">"+',1125,'>";}}if(item.x){item',133,522,'msieSpaceFix+"<span style=\\"margin-left:"+',134,1118,'-',522,'spaceWidth)+";\\">"+',522,'hiddenSpace+"</span>"+item.html;}',1127,912,'Parse','=function(s,font,size,','_28a){var _28b=new ','jsMath.Parser','(s,font,size,_28a);_28b.Parse();return _28b;};',1162,1160,'_28f){this.string=s;this.i=0;',5,1082,'mList(null,font,size,_28f);};jsMath.Package(',1162,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1172,'r',1172,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1184,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1184,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1182,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1192,'T"],scriptstyle',1192,'S"],scriptscriptstyle',1192,'SS"],rm',':["HandleFont",','0],mit',1200,'1],oldstyle',1200,'1],cal',1200,'2],it',1200,'4],bf',1200,'6],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1212,'arctan',1212,'arg',1212,'cos',1212,'cosh',1212,'cot',1212,'coth',1212,'csc',1212,'deg',1212,'det',':"NamedOp",','dim',1212,'exp',1212,'gcd',1232,'hom',1212,'inf',1232,'ker',1212,'lg',1212,'lim',1232,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1250,'sup"],ln',1212,'log',1212,'max',1232,'min',1232,'Pr',1232,'sec',1212,'sin',1212,'sinh',1212,'sup',1232,'tan',1212,'tanh',1212,279,':["HandleAtom","',279,'"],',299,1276,299,'"],',332,1276,332,'"],over',':"HandleOver",','overwithdelims',1287,'atop',1287,'atopwithdelims',1287,'above',1287,'abovewithdelims',1287,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1299,'","[","]"],choose',1299,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1305,'overrightarrow',1305,'overleftarrow',1305,'overset',':["Extension","underset-overset"],','underset',1313,'llap',':"HandleLap",','rlap',1317,'ulap',1317,'dlap',1317,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1325,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1329,'not="],neq',1329,'not="],notin',1329,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1329,1336,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1329,'mathbin{\\\\rm mod}"],pmod',1329,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1329,'ointop\\\\nolimits"],doteq',1329,'buildrel\\\\textstyle.\\\\over="],ldots',1329,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1329,1352,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1329,1352,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1329,1352,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1329,1336,'kern-4mu}"],relbar',1329,1336,'smash-}"],','Relbar',1329,1341,'="],bowtie',1329,1341,'\\\\',1178,'\\\\joinrel\\\\',1341,'\\\\triangleleft"],models',1329,1341,'|\\\\joinrel="],mapsto',1329,'mapstochar\\\\','rightarrow"],rightleftharpoons',1329,279,'{\\\\',1336,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1180,'}"],hookrightarrow',1329,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1329,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1329,1369,1377,'Rightarrow"],','longrightarrow',1329,'relbar\\\\',1395,'longleftarrow',1329,1398,'relbar"],Longleftarrow',1329,'Leftarrow\\\\joinrel\\\\',1369,'"],longmapsto',1329,1384,'char{cmsy10}{0}\\\\',1395,'longleftrightarrow',1329,'leftarrow\\\\',1395,'Longleftrightarrow',1329,1413,1403,'iff:["Macro","\\\\;\\\\',1424,'\\\\;"],mathrm',':["Macro","{\\\\','rm #1}",1],mathbf',1431,'bf #1}",1],','mathbb',1431,1434,'mathit',1431,'it #1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace',':["Spacer",','1/2],quad',1441,'1],qquad',1441,'2],thinspace',1441,'1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1449,'ord",1.','15],bigg',1449,1452,'45],Bigg',1449,1452,'75],bigl',1449,'open",0.85],Bigl',1449,'open",1.','15],biggl',1449,1463,'45],Biggl',1449,1463,'75],bigr',1449,'close",0.85],Bigr',1449,'close",1.','15],biggr',1449,1474,'45],Biggr',1449,1474,'75],bigm',1449,'rel",0.85],Bigm',1449,'rel",1.','15],biggm',1449,1485,'45],Biggm',1449,1485,'75],mathord',1276,'ord"],mathop',1276,'op"],mathopen',1276,'open"],mathclose',1276,'close"],mathbin',1276,'bin"],',1341,1276,'rel"],mathpunct',1276,'punct"],mathinner',1276,'inner"],','mathchoice',':["Extension","',1510,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1511,'fbox"],strut:"Strut",mathstrut',1329,'vphantom{(}"],phantom',':["Phantom",','1,1],vphantom',1518,'1,0],hphantom',1518,'0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1524,'18]],ddot',1524,'127]],tilde',1524,'126]],bar',1524,'22]],breve',1524,'21]],check',1524,'20]],hat',1524,'94]],vec',':["MathAccent",[0,','1,126]],dot',1524,'95]],widetilde',1540,'3,101]],widehat',1540,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1548,'","&nbsp;","normal"],angle:["',1548,'","&#x2220;"'],
  [',"normal"],','matrix',':"','Matrix','",array:"',3,'",pmatrix:["',3,'","(",")","c"],','cases:["',3,'","\\\\{",".",["l","l"]],cr:"','HandleRow','","\\\\":"',12,'",begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',16,'1],scriptsize',16,'2],small',16,'3],normalsize',16,'4],large',16,'5],Large',16,'6],LARGE',16,'7],huge',16,'8],Huge',16,'9],dots:["','Macro','","\\\\ldots"],','newcommand',':["Extension","',38,'"],def',39,38,'"],color',39,'HTML"],','href',39,'HTML"],"class":["','Extension','","',46,'style',39,46,'cssId',39,46,'unicode',39,46,'require:"Require","char":"Char"},','environments',':{array:"Array",',1,':["Array",null,null,"','c"],pmatrix',':["Array',8,'bmatrix',68,'","[","]","c"],Bmatrix',68,'","\\\\{","\\\\}","c"],vmatrix',68,'","\\\\vert","\\\\vert","c"],Vmatrix',68,'","\\\\Vert","\\\\Vert","c"],cases',68,'","\\\\{",".","ll"],eqnarray',66,'rcl",[5/18,5/18],"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',86,'[id]]=obj[id];}},Error',83,'(s){','this.i','=this.','string.length',';if(s','.error){','this.error','=s.error;}','else{if(!','this',96,97,'=s;}}},nextIsSpace',83,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',83,'(text){','if(typeof (','text)!="string"){',106,'text;}',106,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',83,'(arg','){var ','data=','this.mlist.','data;','arg','=jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',96,'this.Error(','arg);','return null',';}if(arg.mlist.Length()==','0){',137,138,'1',122,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',150,'TeX")){',106,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},GetCommand',83,'(){var ','_297=/^([a-z]+|.) ?/i;var cmd=_297.exec(','this.string.slice(','this.i));','if(','cmd){',92,'+=cmd[1].length;',106,'cmd[1];}','this.Error("','Missing',' control sequnece name at end of string or',' argument','");',137,';},','GetArgument',':function(name',',','_29a){','while','(this.nextIsSpace()){this.i','++;}','if(this.','i>=this.',94,'){if(!',177,167,168,170,' for "+','name);}',137,';}if(',107,')==this.','close',184,177,167,'Extra close brace','");}',137,192,107,194,162,'this.i++;',106,'this.cmd+','this.GetCommand','();}if(',107,')!=this.open','){return ',107,'++);}var j','=++this.i;var ','_29c=1;var c="";',178,'(this.i<this.string.length){','c=',107,'++);','if(c==this.cmd){',92,'++;}else{if(c','==this.open){_29c',225,'==this.close){if(_29c==0){',167,199,'");',137,';}if(--_29c==0',213,159,'j,',92,'-1);}}}}}',167,'Missing close brace','");',137,';},ProcessArg',175,'){','var arg=this.',174,'(','name);','if(this.error){return',' null;}return this.Process(arg);},','GetDelimiter',175,'){',178,179,'++;}var ','c=',107,');if',219,206,223,'c="\\\\"+',209,'(',249,250,' null;}}','if(','this.delimiter[','c]!=null',213,271,'c];}}',167,168,' or unrecognized delimiter',189,249,137,';},','GetDimen',175,',nomu',122,'rest;var _2a5=0;if',179,'++;}if(',107,')=="{"){rest',93,174,'(name);}else{rest=',159,92,');_2a5=1',';}var ','_2a6=rest.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2a6){',167,168,' dimension or its units',189,249,137,192,'_2a5){',92,'+=_2a6[0].length;if',179,'++;}}var d=_2a6[1]-0;if(_2a6[4]=="px"){d/=jsMath.em',';}else{if(_2a6[4]=="','pt"){d/=10',312,'ex"){d*=jsMath.TeX.x_height',312,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',106,'d;},GetNext',83,'(){',178,179,'++;}',106,107,');},','GetBrackets',175,122,'c',93,'GetNext();if(c','!="["){return "";}var _2aa',216,'_2ab=0;',178,219,'var c=',107,'++);if(c=="{"){','_2ab',225,'=="}"){if(','_2ab==0){',167,199,' while looking for',' \']\'");',137,';}_2ab--;}else{',223,92,225,'=="]"){if(_2ab==0',213,159,'_2aa,',92,'-1);}}}}}}',167,'Couldn\'t find',' closing \']\' for',170,' to "+',208,249,137,';},GetUpto',175,',_2ae){',178,179,257,'_2af',93,'i;var _2b0=0;',178,219,'var c=',107,341,'_2b0',225,344,'_2b0==0){',167,199,348,' "+',208,'_2ae);',137,';}_2b0--;}else{',223,'if(',159,'this.i,this.i+','5)=="begin"){_2b0++;',92,'+=4;}else{if(',159,398,'3)=="end"){if(_2b0>0){_2b0--;',92,'+=2;}}}if(',386,'if(',159,398,'_2ae.length',')==_2ae){c=',107,'+',411,');if(c.match(/[^a-z]/i)||!_2ae.match(/[a-z]/i)){var arg=',159,'_2af,',92,'-1);',92,'+=',411,';',106,'arg;}}}',92,'++;}}}}',167,362,' "+',208,'_2ae+" for "+',249,137,';},','ProcessUpto',175,',_2b4){',246,'GetUpto(name,_2b4);',250,251,'GetEnd',83,'(env',122,'body="";var name="";',178,'(name!=env){body+=this.GetUpto("begin{"+env+"}","end");',250,' null;}name',93,174,'(this.cmd','+"end");',250,269,106,'body;},Space',83,'(){},','Prime',83,'(c',122,'base=',124,146,'(base==null||(!base',148,'base.type!="','box"&&',472,'frac")){',467,'this.mlist.Add(jsMath.mItem.','Atom("ord",null));}if(base.','sup){',167,'Prime causes double exponent',': use braces to clarify");return;}','var sup="";',178,'(c=="\'"){sup+=this.cmd+"prime";c',93,333,'=="\'"){',92,'++;}}','base.sup',93,119,'(sup);},RaiseLower',175,122,'h','=this.GetDimen(this.cmd+name',',1);',250,298,'box','=this.ProcessArg','(this.cmd+name);if(this.error){return',192,'name=="lower"){h=-h;}',124,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',175,122,'x',498,499,250,298,'box',503,504,192,'name=="moveleft"){x=-x;}',477,'Space(x));',477,'Atom("ord",box));',477,'Space(-x));},Require',175,122,'file',93,174,504,';}file',127,50,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',50,'(null,[','file]);},',50,175,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',86,'[data[1]||"macros"][name];}','jsMath.Script.','Start();jsMath.',50,'.Require(data[0],',549,'.asynchronous',');throw "restart";},Frac',175,122,'num',503,504,298,'den',503,504,';}',477,'Fraction("over",num,den));},Sqrt',175,122,'n',93,328,504,298,'arg',503,504,';}box=jsMath.mItem.Atom("radical",arg);',181,'n!=""){box.root',93,119,'(n);',250,';}}',124,'Add(box);},','Root',175,122,'n',93,437,'(',208,'name,"of");',250,298,'arg',503,504,584,'box.root=n;',124,593,'BuildRel',175,122,'top',93,437,'(',208,'name,"over");',250,298,'bot',503,504,298,'op',127,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',124,'Add(op);},MakeBig',175,',data){var ','type=data[0];var h=data[1]*jsMath.p_height;var _2d7',93,252,504,';}',477,'Atom(type,','jsMath.Box','.Delimiter(h,_2d7,"T")));},Char',175,122,'font',93,174,504,298,'n',93,174,504,';}if(!','jsMath.TeX[font',']){',656,']=[];this.',50,544,'jsMath.Font.URL(font',')]);}else{',477,'Typeset(',642,'.TeX(n-0,font,"T",',124,131,')));}},',3,175,',_2dc',122,'data=',124,125,246,174,504,298,'_2df','=new jsMath.Parser(arg','+"\\\\\\\\",null,',131,');_2df.',1,'=name;_2df.row=[];_2df.table=[];_2df.Parse();if(_2df',96,135,'_2df);',541,'_2df','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_2df.table,_2dc[2]);if(_2dc[0]&&_2dc[1]){var left','=jsMath.Box.Delimiter(box.h+box.d,this.delimiter[','_2dc[0]],"T");var _2e2',696,'_2dc','[1]],"T");box=jsMath.Box.SetList([left,box,','_2e2],','data.style,data.size',');}',477,'Atom((_2dc','[0]?"inner":"ord"),box));},','HandleEntry',175,'){','if(!this.',1,'){',135,'name+" can only appear in a matrix or array");return;}','if(',124,'data.openI',551,'var open=',124,'Get(',124,717,');if(open','.left){',167,168,' "+this.cmd+"right','");}else{',167,240,'");}}if(',124,'data.overI',551,124,'Over();}var data=',124,125,124,'Atomize(',702,');var box=',124,665,702,');this.row[','this.row.length',']=box;this.mlist=new jsMath.mList(null,null,',131,132,');},',12,175,',last){',710,1,'){',135,208,714,'this.',707,'(',249,'if(!last||',748,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row;}this.row=[];},Array',175,',_2ea',122,'_2eb=_2ea[2];var _2ec=_2ea[3];if(!_2eb){_2eb',93,174,455,'+"begin{"+name+"}");',250,';}}_2eb=_2eb.replace(/[^clr]/g,"");_2eb=_2eb.split("");var data=',124,125,'var _2ee=_2ea[4]||"T";',246,444,'(',249,250,298,'_2f0',683,'+this.cmd+"\\\\",null,',131,',_2ee);_2f0.',1,'=name;_2f0.row=[];_2f0.table=[];_2f0.Parse();if(_2f0',96,135,'_2f0);',541,'_2f0',694,'_2f0.table,_2eb,_2ec);if(_2ea[0]&&_2ea[1]){var left',696,'_2ea[0]],"T");var _2f3',696,'_2ea',700,'_2f3],',702,');}',477,'Atom((_2ea',706,'Begin',175,122,'env',93,174,504,192,'env.match(/[^a-z*]/i)){',167,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',710,63,'[env]){',167,'Unknown',826,828,'var cmd',93,63,'[env];',111,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',175,122,'env',93,174,504,';}',135,208,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',175,',w){',477,'Space(w-0));},Hskip',175,122,'w',93,283,504,';}',477,'Space(w));},HBox',175,'){var text=this.',174,504,298,'box',127,'Box.InternalMath(text,',124,131,');',477,665,'box));},Rule',175,',_301',122,'w',498,499,250,298,'h',498,499,250,298,'d',498,499,250,';}h+=d;var html;if(h!=0){h=Math.max(1.05/jsMath.em,h);}if(h==0||w==0){_301="blank";}if(w==0){','html="<img src=\\""+jsMath.blank+"\\" style','=\\""+"','border:0px none','; width:1px; margin-right:-1px; "+"height',':"+jsMath.HTML.Em','(h*','jsMath.Browser.','imgScale)+"\\" />";}else{','if(_301=="blank"){',899,'=\\"',901,'; "+"height',903,'(h*',905,'imgScale)+"; "+"','width',903,'(w*',905,906,899,'=\\""+"position: relative; top:1px; height:1px; ',901,'; "+"border-top',903,'(h*',905,'imgScale)+" solid; "+"width',903,'(w*',905,'imgScale)+"\\" />";}}if(d){html','="<span style=\\"','vertical-align',903,'(-d)+"\\">"+html','+"</span>";}',477,665,'new ',642,'("html",html,w,h-d,d)));},Strut',83,157,'size=',124,131,';var box',127,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',477,665,'box));},Phantom',175,634,'arg',503,504,';}',124,508,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',175,634,'arg',503,504,';}',124,508,'smash",{smash:arg}));},MathAccent',175,',_30f',122,'c',503,504,298,'atom',127,629,'accent",c);atom.accent=_30f[0];',124,'Add(atom);},NamedOp',175,634,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}var box',127,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',124,593,'Limits',175,634,144,124,146,'(!atom||atom.type!="op"){',135,208,'name+" is allowed only on operators");',541,'atom.limits=data[0];},',36,175,634,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',769,174,504,';}}text',93,'SubstituteArgs','(args,text);}this.string',93,'AddArgs(','text,',159,160,92,'=0;},',1015,83,'(args,_320',122,'text="";var _322="";var c;var i','=0;while(i<','_320.length){c=','_320.charAt(i','++);',223,'text+=c+',1031,'++);}else{if(c=="#"){c=',1031,'++);if(c=="#"){text+=c;}',99,'c.match(/[1-9]/)||c>args.length){',167,'Illegal macro parameter reference");',541,'_322',93,1018,'this.AddArgs(_322,text','),args[c-1]);text="";}}else{text+=c;}}}',106,1047,');},AddArgs',83,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',106,'s1+s2;},Replace',175,548,477,'TextAtom(data[0],data[1],data[2],data[3]));},HandleLap',175,122,'box',503,'();',250,';}box=',124,508,'lap",{nuc:box,lap:name}));},HandleAtom',175,634,'arg',503,504,';}',477,'Atom(data,arg));},HandleMathCode',175,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',83,'(type,font,code){if(type==7&&',124,129,551,'font=',124,129,';}font',127,'TeX.fam[font];',477,'TeXAtom(jsMath.TeX.atom[type],code,font));},','HandleVariable',83,'(c',1080,'7,1',',c.charCodeAt(0));},','HandleNumber',83,'(c',1080,'7,0',1100,'HandleOther',83,'(c){',477,'TextAtom("ord",c,"normal"));},HandleComment',83,157,'c;',178,219,'c=',107,'++);if(c=="\\r"||c=="\\n"){return;}}},HandleStyle',175,',_338){',124,'data.style=_338[0];',124,508,'style",{style:_338[0]}));},HandleSize',175,',size){',124,131,'=size[0];',124,508,'size",{size:size[0]}));},HandleFont',175,',font){',124,129,'=font[0];},HandleCS',83,157,'cmd=',209,'();',250,';}',181,'macros[cmd',']){var _33e',93,1148,'];',111,'_33e',842,'_33e=[_33e];}this[_33e[0]](cmd,_33e.slice(1));',541,181,'mathchardef[cmd',']){this.HandleMathCode(','cmd,this.',1159,']);',541,'if(',271,208,'cmd',1160,'cmd,',271,208,'cmd].slice(0,3));',541,167,'Unknown control sequence \'"+',208,'cmd+"\'");},HandleOpen',83,'(){',124,'Open();},HandleClose',83,'(){if(',124,717,'==null){',167,199,'");',541,'var open=',124,'Get(',124,717,');if(!open||','open.left',1187,124,'Close();}else{',167,199,' or missing',728,'");return;}},HandleLeft',175,122,'left',93,252,504,';}',124,'Open(left);},HandleRight',175,122,'_343',93,252,504,298,'open=',124,'Get(',124,717,724,'&&',1198,551,124,'Close(_343);}else{',167,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',175,548,'if(',124,734,551,167,'Ambiguous use of "+',208,249,541,124,734,'=',124,'Length();',124,'data.overF={name:name};if(data.length>0){',124,'data.overF.','left=',271,'data[0]];',124,1255,'right=',271,'data[1]];}else{if(name.match(/withdelims$/)){',124,1255,'left',93,252,504,';}',124,1255,'right',93,252,504,';}}else{',124,1255,'left=null;',124,1255,1261,'null;}}if(name.match(/^above/)){',124,1255,'thickness',93,283,455,'.name',499,250,';}}else{',124,1255,'thickness=null;}},HandleSuperscript',83,157,467,124,146,'(base==null||(!base',148,472,'box"&&',472,'frac")){',467,477,478,'sup){',167,'Double exponent',482,491,503,'("superscript");',250,';}},HandleSubscript',83,157,467,124,146,'(base==null||(!base',148,472,'box"&&',472,'frac")){',467,477,478,'sub){',167,'Double subscripts',482,'base.sub',503,'("subscript");',250,';}},Parse',83,157,'c;',178,219,'c=',107,'++);',181,'mathchar[c',1160,'c,this.',1353,']);}else{',181,'special[c]){this[this',87,'c]](c);}else{',181,'letter','.test(c)){this.',1095,'(c);}else{',181,'number',1364,1101,1366,'this.',1107,'(c);}}}}}if(',124,717,551,'var open=',124,'Get(',124,717,724,'.left){',167,168,728,729,167,240,'");}}if(',124,734,551,124,'Over();}},Atomize',83,157,'data=',124,'init;if(!this',96,124,741,702,');}},Typeset',83,157,'data=',124,'init;var box',93,'typeset=',124,665,702,');',250,' "<span class=\\"error\\">"+',97,937,'if(box.format=="null"){return "";}box.Styled().Remeasured();var _34e=0;var _34f=0;if(box.bh>box.h&&box.bh>jsMath.h','+0.001){_34e=1;}if(box.','bd>box.d&&box.bd>jsMath.d',1423,'h>jsMath.h||box.d>jsMath.d){_34f=1',298,'html=box.html;if(_34e){if(',905,'allowAbsolute',122,'y=0;if(box.bh>jsMath.h+0.001){y',127,'h-box.bh;}html',127,'HTML.Absolute(html,box.w,jsMath.h,0,y,jsMath.h);}',99,905,'valignBug',122,'dy',127,'HTML.Em(Math.max(0,box.bd-jsMath.hd)/3);html',933,'line-height: 0px;"+" position:relative; top:"+dy+"; vertical-align:"+dy+"\\">"+html+"</span>";}}_34f=1',192,'_34f){html+="<img src=\\""+jsMath.blank+"\\" class=\\"HD\\" style=\\""+"height',903,'((box.h+box.d+0.1)*',905,915,'vertical-align',903,'(-box.d-0.05)+";\\" />";}return "<nobr><span class=\\"scale\\">"+html+"</span></nobr>";}});',86,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{',36,175,122,'_354=',86,'.macros;','_354','[name]=["',36,'"];for(var i=1;i<arguments.length;i++){_354[name][_354[name].length]=arguments[i];}}});jsMath.',50,'={safeRequire:1,',36,175,',file',122,'_358=',86,1463,'_358',1465,50,'",file];},LaTeX',83,'(env,file',122,'_35b=',86,'.',63,';_35b[env]=["',50,'",file,"',63,'"];},Font',175,1136,'if(font',1187,'font=name+"10";}var _35e=',86,1463,'_35e',1465,50,'",',662,')];},Require',83,'(file,show){',181,'safeRequire&&file.match(/\\.\\.\\/|[^-a-z0-9.\\/_+=]/i)){',538,539,']=1;',541,538,'Script(this.URL(file),show);},URL',83,'(file){file=file',117,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',106,'file;}};',1457,119,83,84,538,'Body();',555,'Push(',549,',"','Asynchronous','",obj);},ProcessBeforeShowing',83,84,538,1527,'var _364=(','jsMath.Controls.cookie.','asynch?"',1532,'":"','Synchronous','");',555,1529,549,',_364,obj);}});',549,'={element:[],cancel:0,TextMode',83,'(s',122,'_366','=jsMath.Parse(s,null,null,"','T");',1554,'.Atomize();var html=',1554,'.Typeset();return html;},','DisplayMode',83,'(s',122,'_369',1555,'D");',1565,1558,1565,1560,'GetElementText',83,'(_36b',868,'recursiveElementText','(_36b);if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1578,'gt;/g,">");',1578,'quot;/g,"\\"");',1578,'amp;/g,"&");}',106,'text;},',1576,83,'(_36d){if(','_36d.nodeValue','!=null',213,1591,192,'_36d.childNodes.length','==0){return " ";}var text="";',1008,1596,';i++){text+=this.',1576,'(_36d.childNodes[i]);}',106,1587,'ResetHidden',83,'(_370){_370.innerHTML',933,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',905,'operaHiddenFix;_370.className="";','jsMath.hidden','=_370.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}jsMath.','ReInit();},ConvertText',83,'(_371',868,1572,1618,');this.ResetHidden(','_371);_371.alt=text;text',93,'TextMode(text);_371','.className="typeset";','_371','.innerHTML=text;},','ConvertDisplay',83,'(_373',868,1572,1631,1622,'_373);_373.alt=text;text',93,1561,'(text);_373',1626,'_373',1628,'ProcessElement',83,'(_375){this.restart=0;try','{if(_375.tagName.toLowerCase()=="','div"){this.',1629,'(_375);}else',1646,'span"){this.ConvertText(_375);if(','_375.parentNode.','className=="jsMath.recenter"){',1652,'style.marginLeft=Math.floor((',1652,'offsetWidth-_375.offsetWidth)/2)+"px";}}}_375.onclick',127,'Click.CheckClick;_375.ondblclick',127,'Click.CheckDblClick;}catch(err){if(_375.alt){_375.innerHTML=_375.alt;}',1614,';}},','ProcessElements',83,'(k){',555,'blocking=','1;if(k>=','this.element.length','||this.cancel){this.','ProcessComplete','();',181,'cancel){','jsMath.Message.','Set("',119,' Math: Canceled");',1676,'Clear();}',555,1668,'0;',555,119,'();}else{','this.ProcessElement(this.element[','k]);',181,'restart){',555,1529,'this,"',1664,'",k);',555,1668,'0;setTimeout("',555,119,'()",',905,'delay);}else{k++;var p=Math.floor(100*k/',1670,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',549,'.',1664,'("+k+")",',905,'delay);}}},',1532,83,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);','this.cancel=0;this',560,'=1;',555,1668,'1;',1707,': 0%",1);setTimeout("',549,'.',1664,'(0)",',905,'delay);},',1543,83,'(obj,i){if(i==null',1718,'i=0;}this',560,1029,1670,'){',1688,'i]);',181,'restart){','jsMath.Synchronize','("',549,'.',1543,'(null,"+i+")");',555,119,'();',541,'i++;}this.',1672,'(1);},GetMathElements',83,'(obj',122,'_37c=[];if(!obj){obj=','jsMath.document',192,'typeof (obj',842,'obj=',1763,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',137,298,'math=',1770,'("div','");for(var k=0;k<math.length;k++){if(math[k].className=="math"){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_37c[_37c.length]=math[k];}}}','math=',1770,'("span',1777,'if(',905,'renameOK','&&obj','.getElementsByName','){_37c=obj',1786,'("_jsMath_',729,'if(',1612,'.sourceIndex','){_37c.sort(function(a,b',213,'a',1793,'-b',1793,';});}}',106,'_37c;},',1672,83,'(_382){if(',905,1784,122,'_383=',1763,1786,1789,'");for(var i=_383.length-1;i>=0;i--){_383[i].removeAttribute("name");}}',1614,';this.element=[];if(!_382){',1707,': Done");',1676,'Clear();}',1676,'UnBlank();if(',905,'safariImgBug&&(',1539,'font=="symbol"||',1539,'font=="image")){',181,'timeout){clearTimeout(this.timeout);}this.timeout=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1830,'(1,0); "+"',549,'.timeout = null",2000);}},Cancel',83,'(){',549,'.cancel=1;if(',555,'cancelTimer){',555,'cancelLoad();}}};',1457,'ConvertTeX',83,'(_385){',555,'Push(jsMath.tex2math,"',1845,'",_385);},','ConvertTeX2',83,'(_386){',555,1849,1852,'",_386);},','ConvertLaTeX',83,'(_387){',555,1849,1859,'",_387);},','ConvertCustom',83,'(_388){',555,1849,1866,'",_388);},','CustomSearch',83,'(om,cm,od,cd','){',555,1529,'null,function(){jsMath.tex2math.',1873,1875,');});},tex2math:{',1845,83,462,1852,83,462,1859,83,462,1866,83,462,1873,83,'(){}}});',1746,'=',555,'Synchronize;if(','window.parent','!=window){',1902,'.jsMath=jsMath;',1763,'=',1902,'.document;jsMath.window=',1902,1615,'Loaded();jsMath.Controls.GetCookie();',538,'Source();',555,'Init();',538,'Fonts();if(',1763,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
